BEGIN;

--
--
-- CREATE TABLES
--
CREATE TABLE dbinfo (
    id INTEGER PRIMARY KEY NOT NULL,
    key   VARCHAR(128) NOT NULL,
    value VARCHAR(256) 
);

INSERT INTO dbinfo (id, key, value) VALUES (1, 'version', CURRENT_TIME);
INSERT INTO dbinfo (id, key, value) VALUES (2, 'datadump', NULL);

CREATE TABLE bundeslaender_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    name VARCHAR(256) NOT NULL UNIQUE,
    kurz CHAR(2) NOT NULL UNIQUE
);

INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (-1, 'keine Angabe', '');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 0, 'Baden-Württemberg', 'BW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 1, 'Bayern', 'BY');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 2, 'Berlin', 'BE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 3, 'Brandenburg', 'BB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 4, 'Bremen', 'HB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 5, 'Hamburg', 'HH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 6, 'Hessen', 'HE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 7, 'Mecklenburg-Vorpommern', 'MV');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 8, 'Niedersachsen', 'NI');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 9, 'Nordrhein-Westfalen', 'NW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (10, 'Rheinland-Pfalz', 'RP');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (11, 'Saarland', 'SL');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (12, 'Sachsen', 'SN');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (13, 'Sachsen-Anhalt', 'ST');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (14, 'Schleswig-Holstein', 'SH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (15, 'Thüringen', 'TH');

CREATE TABLE fkz_tbl (
    id            INTEGER PRIMARY KEY NOT NULL,
    name          VARCHAR(256) NOT NULL,
    fkz           VARCHAR(256) NOT NULL UNIQUE,
    database      VARCHAR(256) NOT NULL UNIQUE,
    bundesland_id INTEGER NOT NULL REFERENCES bundeslaender_tbl(id),
    UNIQUE (fkz, database)
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements
-- -- -- (mastert_tbl...)
-- -- --
-- -- --
CREATE TABLE verbleib_jugendliche_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(49) NOT NULL
);
CREATE TABLE ende_inst_einbindung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(51) NOT NULL
);
CREATE TABLE gruende_abbruch_cm_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(50) NOT NULL
);
CREATE TABLE abbruch_durch_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(64) NOT NULL
);
CREATE TABLE art_cm_ende_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(68) NOT NULL
);
CREATE TABLE fp_ziel_erreicht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE fp_ziel_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE kf_erg_natur_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE kf_erg_deutsch_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE kf_verfahren_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(48) NOT NULL
);
CREATE TABLE kompetenzfeststellung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE sucht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE einkommen_jugendlicher_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(62) NOT NULL
);
CREATE TABLE einkommen_familie_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(47) NOT NULL
);
CREATE TABLE biographie_massnahme_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(17) NOT NULL
);
CREATE TABLE biographie_studium_art_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(15) NOT NULL
);
CREATE TABLE biographie_schule_abschluss_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE biographie_art_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(45) NOT NULL
);
CREATE TABLE hoechster_berufsabschluss_erworben_ausland_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(46) NOT NULL
);
CREATE TABLE hoechster_berufsabschluss_erworben_de_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(55) NOT NULL
);
CREATE TABLE hoechster_berufsabschluss_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(52) NOT NULL
);
CREATE TABLE hoechster_schulabschluss_ausland_anerkannt_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(29) NOT NULL
);
CREATE TABLE hoechster_schulabschluss_erworben_ausland_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE hoechster_schulabschluss_erworben_de_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(60) NOT NULL
);
CREATE TABLE hoechster_schulabschluss_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(52) NOT NULL
);
CREATE TABLE aktuelle_massnahme_art_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(17) NOT NULL
);
CREATE TABLE aktuelle_schule_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(48) NOT NULL
);
CREATE TABLE allgemeinschulpflicht_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE aktuelle_situation_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(51) NOT NULL
);
CREATE TABLE zugeh_a_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(30) NOT NULL
);
CREATE TABLE mutter_geburtsland_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE familienstand_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(37) NOT NULL
);
CREATE TABLE muttersprache_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(26) NOT NULL
);
CREATE TABLE staatsangehoerigkeit_weitere_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(54) NOT NULL
);
CREATE TABLE staatsangehoerigkeit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(54) NOT NULL
);
CREATE TABLE geburtsland_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(47) NOT NULL
);
CREATE TABLE weitergabe_an_dritte_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE inst_art_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(43) NOT NULL
);
CREATE TABLE wohnsituation_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE war_bereits_kunde_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE art_begleitung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(21) NOT NULL
);
CREATE TABLE zugang_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(60) NOT NULL
);
CREATE TABLE aufenthaltsstatus_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(58) NOT NULL
);
CREATE TABLE geschlecht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE aufenthaltspapier_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(22) NOT NULL
);
CREATE TABLE aufenthaltspapier_eintritt_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(22) NOT NULL
);
CREATE TABLE zielgruppe_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE phase_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(22) NOT NULL
);
CREATE TABLE einwilligung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(30) NOT NULL
);
CREATE TABLE master_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    uuid_id CHAR(36),
    bearbeiter_id int NOT NULL,
    fkz VARCHAR(60),
    einwilligung INTEGER DEFAULT -1,
    datum_ea_ende_bak DATE,
    phase INTEGER DEFAULT -1,
    jmd_name VARCHAR(60),
    zielgruppe INTEGER DEFAULT 0,
    aufenthaltspapier_eintritt INTEGER DEFAULT -1,
    aufenthaltspapier INTEGER DEFAULT -1,
    geburtsdatum DATE,
    geschlecht INTEGER DEFAULT -1,
    aufenthaltsstatus INTEGER DEFAULT -1,
    angaben_aufenthaltsstatus TEXT,
    datum_ea_start DATE,
    zugang INTEGER DEFAULT -1,
    nennung_zugang VARCHAR(256),
    art_begleitung INTEGER DEFAULT -1,
    datum_cm_start DATE,
    datum_ber_start DATE,
    datum_ber_ende DATE,
    war_bereits_kunde INTEGER DEFAULT -1,
    nennung_einrichtung_cm VARCHAR(256),
    name VARCHAR(256),
    vorname VARCHAR(256),
    geburtsname VARCHAR(256),
    name_vor_einbuergerung VARCHAR(256),
    wohnsituation INTEGER DEFAULT -1,
    wohnsituation_konkretisierung TEXT,
    weitergabe_an_dritte INTEGER DEFAULT -1,
    kooperation_mit_dritten INTEGER DEFAULT -1,
    geburtsland INTEGER DEFAULT -1,
    geburtsland_nennung VARCHAR(60),
    geburtsort VARCHAR(60),
    fuehrerschein VARCHAR(60),
    staatsangehoerigkeit INTEGER DEFAULT -1,
    staatsangehoerigkeit_nennung VARCHAR(60),
    staatsangehoerigkeit_weitere INTEGER DEFAULT -1,
    staatsangehoerigkeit_weitere_nennung VARCHAR(60),
    einreisedatum DATE,
    aussiedlerstatus INTEGER DEFAULT -1,
    muttersprache INTEGER DEFAULT -1,
    muttersprache_nennung VARCHAR(60),
    sprache_zuhause INTEGER DEFAULT -1,
    sprache_zuhause_nennung VARCHAR(60),
    familienstand INTEGER DEFAULT -1,
    alleinerziehend INTEGER DEFAULT -1,
    weitere_angaben_kinder TEXT,
    mutter_geburtsland INTEGER DEFAULT -1,
    vater_geburtsland INTEGER DEFAULT -1,
    angaben_geschwister VARCHAR(60),
    bezugsperson_a INTEGER DEFAULT -1,
    bezugsperson_b INTEGER DEFAULT -1,
    bezugsperson_c INTEGER DEFAULT -1,
    bezugsperson_d INTEGER DEFAULT -1,
    bezugsperson_e INTEGER DEFAULT -1,
    bezugsperson_s INTEGER DEFAULT -1,
    bezugsperson_f INTEGER DEFAULT -1,
    bezugsperson_g INTEGER DEFAULT -1,
    bezugsperson_h INTEGER DEFAULT -1,
    bezugsperson_i INTEGER DEFAULT -1,
    bezugsperson_j INTEGER DEFAULT -1,
    bezugsperson_k INTEGER DEFAULT -1,
    bezugsperson_l INTEGER DEFAULT -1,
    bezugsperson_m INTEGER DEFAULT -1,
    bezugsperson_n INTEGER DEFAULT -1,
    bezugsperson_o INTEGER DEFAULT -1,
    bezugsperson_p INTEGER DEFAULT -1,
    bezugsperson_q INTEGER DEFAULT -1,
    bezugsperson_r INTEGER DEFAULT -1,
    bezugsperson_weitere_angaben TEXT,
    zugeh_a INTEGER DEFAULT -1,
    zugeh_b INTEGER DEFAULT -1,
    zugeh_c INTEGER DEFAULT -1,
    zugeh_d INTEGER DEFAULT -1,
    zugeh_e INTEGER DEFAULT -1,
    soz_engagement TEXT,
    hobbies TEXT,
    aktuelle_situation INTEGER DEFAULT -1,
    allgemeinschulpflicht INTEGER DEFAULT -1,
    berufsschulpflicht INTEGER DEFAULT -1,
    aktuelle_situation_nennung VARCHAR(60),
    aktuelle_schule INTEGER DEFAULT -1,
    aktuelle_schule_klassenstufe VARCHAR(60),
    aktueller_beruf VARCHAR(60),
    aktueller_beruf_ausbildungsjahr INTEGER,
    aktuelle_massnahme_art INTEGER DEFAULT -1,
    aktuelle_massnahme_art_nennung VARCHAR(60),
    aktuelle_massnahme VARCHAR(60),
    aktuelle_massnahme_beginn DATE,
    aktuelle_massnahme_dauer INTEGER,
    aktuelle_taetigkeit VARCHAR(60),
    aktuelle_taetigkeit_datum_seit DATE,
    aktuelle_arbeitslosigkeit_seit DATE,
    aktuelle_elternzeit_seit DATE,
    aktueller_zivildienst_seit DATE,
    hoechster_schulabschluss INTEGER DEFAULT -1,
    hoechster_schulabschluss_nennung VARCHAR(60),
    hoechster_schulabschluss_erworben_de INTEGER DEFAULT -1,
    schulabschluss_erworben_im_ausland INTEGER DEFAULT -1,
    hoechster_schulabschluss_erworben_ausland INTEGER DEFAULT -1,
    hoechster_schulabschluss_ausland_anerkannt INTEGER DEFAULT -1,
    hoechster_schulabschluss_ausland_land INTEGER DEFAULT -1,
    weitere_angaben_schulabschluss TEXT,
    hoechster_berufsabschluss INTEGER DEFAULT -1,
    hoechster_berufsabschluss_nennung VARCHAR(60),
    hoechster_berufsabschluss_erworben_de INTEGER DEFAULT -1,
    hoechster_berufsabschluss_erworben_de_nennung VARCHAR(60),
    berufsabschluss_erworben_im_ausland INTEGER DEFAULT -1,
    hoechster_berufsabschluss_erworben_ausland INTEGER DEFAULT -1,
    hoechster_berufsabschluss_ausland_anerkannt INTEGER DEFAULT -1,
    hoechster_berufsabschluss_ausland_land INTEGER DEFAULT -1,
    weitere_angaben_berufsabschluss TEXT,
    integrationskurs INTEGER DEFAULT -1,
    datum_integrationskurs_ende DATE,
    einkommen_familie INTEGER DEFAULT -1,
    einkommen_jugendlicher INTEGER DEFAULT -1,
    geldmittel INTEGER,
    schulden INTEGER,
    schulden_beratung INTEGER DEFAULT -1,
    anmerkungen_finanzsituation TEXT,
    psychische_beeintraechtigung INTEGER DEFAULT -1,
    physische_beeintraechtugung INTEGER DEFAULT -1,
    sucht INTEGER DEFAULT -1,
    anmerkungen_gensundsituation TEXT,
    kompetenzfeststellung INTEGER DEFAULT -1,
    kf_verfahren INTEGER DEFAULT -1,
    kf_verfahren_nennung VARCHAR(60),
    kf_erg_deutsch_a INTEGER DEFAULT -1,
    kf_erg_deutsch_b INTEGER DEFAULT -1,
    kf_erg_deutsch_c INTEGER DEFAULT -1,
    kf_erg_deutsch_d INTEGER DEFAULT -1,
    kf_erg_natur_a INTEGER DEFAULT -1,
    kf_erg_natur_b INTEGER DEFAULT -1,
    kf_erg_natur_c INTEGER DEFAULT -1,
    kf_erg_natur_d INTEGER DEFAULT -1,
    kf_erg_natur_e INTEGER DEFAULT -1,
    kf_erg_medien_a INTEGER DEFAULT -1,
    kf_erg_medien_b INTEGER DEFAULT -1,
    kf_erg_medien_c INTEGER DEFAULT -1,
    kf_erg_medien_d INTEGER DEFAULT -1,
    kf_erg_medien_e INTEGER DEFAULT -1,
    kf_erg_handwerk_a INTEGER DEFAULT -1,
    kf_erg_handwerk_b INTEGER DEFAULT -1,
    kf_erg_handwerk_c INTEGER DEFAULT -1,
    kf_erg_handwerk_d INTEGER DEFAULT -1,
    kf_erg_methode_a INTEGER DEFAULT -1,
    kf_erg_methode_b INTEGER DEFAULT -1,
    kf_erg_methode_c INTEGER DEFAULT -1,
    kf_erg_methode_d INTEGER DEFAULT -1,
    kf_erg_methode_e INTEGER DEFAULT -1,
    kf_erg_methode_f INTEGER DEFAULT -1,
    kf_erg_methode_g INTEGER DEFAULT -1,
    kf_erg_sozial_a INTEGER DEFAULT -1,
    kf_erg_sozial_b INTEGER DEFAULT -1,
    kf_erg_sozial_c INTEGER DEFAULT -1,
    kf_erg_sozial_d INTEGER DEFAULT -1,
    kf_erg_sozial_e INTEGER DEFAULT -1,
    kf_erg_sozial_f INTEGER DEFAULT -1,
    kf_erg_sozial_g INTEGER DEFAULT -1,
    kf_erg_sozial_h INTEGER DEFAULT -1,
    kf_erg_sozial_i INTEGER DEFAULT -1,
    kf_erg_sozial_j INTEGER DEFAULT -1,
    kf_erg_selbst_a INTEGER DEFAULT -1,
    kf_erg_selbst_b INTEGER DEFAULT -1,
    kf_erg_selbst_c INTEGER DEFAULT -1,
    kf_erg_selbst_d INTEGER DEFAULT -1,
    kf_erg_selbst_e INTEGER DEFAULT -1,
    kf_erg_selbst_f INTEGER DEFAULT -1,
    kf_erg_selbst_g INTEGER DEFAULT -1,
    kf_erg_selbst_h INTEGER DEFAULT -1,
    kf_erg_selbst_i INTEGER DEFAULT -1,
    kf_erg_selbst_j INTEGER DEFAULT -1,
    kf_erg_selbst_k INTEGER DEFAULT -1,
    kf_erg_leistung_a INTEGER DEFAULT -1,
    kf_erg_leistung_b INTEGER DEFAULT -1,
    kf_erg_leistung_c INTEGER DEFAULT -1,
    kf_erg_leistung_d INTEGER DEFAULT -1,
    kf_erg_leistung_e INTEGER DEFAULT -1,
    kf_erg_leistung_f INTEGER DEFAULT -1,
    kf_erg_leistung_g INTEGER DEFAULT -1,
    kf_erg_leistung_h INTEGER DEFAULT -1,
    kf_erg_leistung_i INTEGER DEFAULT -1,
    kf_erg_leistung_j INTEGER DEFAULT -1,
    kf_erg_leistung_k INTEGER DEFAULT -1,
    datum_cm_ende DATE,
    art_cm_ende INTEGER DEFAULT -1,
    abbruch_durch INTEGER DEFAULT -1,
    abbruch_durch_nennung VARCHAR(60),
    gruende_abbruch_cm INTEGER DEFAULT -1,
    gruende_abbruch_cm_nennung VARCHAR(60),
    veraenderung_inst_einbindung INTEGER DEFAULT -1,
    ende_inst_einbindung INTEGER DEFAULT -1,
    ende_inst_einbindung_nennung VARCHAR(60),
    datum_verbleib_feststellung DATE,
    verbleib_jugendliche INTEGER DEFAULT -1,
    verbleib_jugendliche_sonstiges VARCHAR(60),
    UNIQUE (uuid_id),
    FOREIGN KEY (einwilligung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (phase) REFERENCES phase_tbl (id),
    FOREIGN KEY (zielgruppe) REFERENCES zielgruppe_tbl (id),
    FOREIGN KEY (aufenthaltspapier_eintritt) REFERENCES aufenthaltspapier_eintritt_tbl (id),
    FOREIGN KEY (aufenthaltspapier) REFERENCES aufenthaltspapier_tbl (id),
    FOREIGN KEY (geschlecht) REFERENCES geschlecht_tbl (id),
    FOREIGN KEY (aufenthaltsstatus) REFERENCES aufenthaltsstatus_tbl (id),
    FOREIGN KEY (zugang) REFERENCES zugang_tbl (id),
    FOREIGN KEY (art_begleitung) REFERENCES art_begleitung_tbl (id),
    FOREIGN KEY (war_bereits_kunde) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (wohnsituation) REFERENCES wohnsituation_tbl (id),
    FOREIGN KEY (weitergabe_an_dritte) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (kooperation_mit_dritten) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (geburtsland) REFERENCES geburtsland_tbl (id),
    FOREIGN KEY (staatsangehoerigkeit) REFERENCES staatsangehoerigkeit_tbl (id),
    FOREIGN KEY (staatsangehoerigkeit_weitere) REFERENCES staatsangehoerigkeit_weitere_tbl (id),
    FOREIGN KEY (aussiedlerstatus) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (muttersprache) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (sprache_zuhause) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (familienstand) REFERENCES familienstand_tbl (id),
    FOREIGN KEY (alleinerziehend) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (mutter_geburtsland) REFERENCES mutter_geburtsland_tbl (id),
    FOREIGN KEY (vater_geburtsland) REFERENCES mutter_geburtsland_tbl (id),
    FOREIGN KEY (bezugsperson_a) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_b) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_c) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_d) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_e) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_s) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_f) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_g) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_h) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_i) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_j) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_k) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_l) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_m) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_n) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_o) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_p) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_q) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (bezugsperson_r) REFERENCES weitergabe_an_dritte_tbl (id),
    FOREIGN KEY (zugeh_a) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_b) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_c) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_d) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_e) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (aktuelle_situation) REFERENCES aktuelle_situation_tbl (id),
    FOREIGN KEY (allgemeinschulpflicht) REFERENCES allgemeinschulpflicht_tbl (id),
    FOREIGN KEY (berufsschulpflicht) REFERENCES allgemeinschulpflicht_tbl (id),
    FOREIGN KEY (aktuelle_schule) REFERENCES aktuelle_schule_tbl (id),
    FOREIGN KEY (aktuelle_massnahme_art) REFERENCES aktuelle_massnahme_art_tbl (id),
    FOREIGN KEY (hoechster_schulabschluss) REFERENCES hoechster_schulabschluss_tbl (id),
    FOREIGN KEY (hoechster_schulabschluss_erworben_de) REFERENCES hoechster_schulabschluss_erworben_de_tbl (id),
    FOREIGN KEY (schulabschluss_erworben_im_ausland) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (hoechster_schulabschluss_erworben_ausland) REFERENCES hoechster_schulabschluss_erworben_ausland_tbl (id),
    FOREIGN KEY (hoechster_schulabschluss_ausland_anerkannt) REFERENCES hoechster_schulabschluss_ausland_anerkannt_tbl (id),
    FOREIGN KEY (hoechster_schulabschluss_ausland_land) REFERENCES geburtsland_tbl (id),
    FOREIGN KEY (hoechster_berufsabschluss) REFERENCES hoechster_berufsabschluss_tbl (id),
    FOREIGN KEY (hoechster_berufsabschluss_erworben_de) REFERENCES hoechster_berufsabschluss_erworben_de_tbl (id),
    FOREIGN KEY (berufsabschluss_erworben_im_ausland) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (hoechster_berufsabschluss_erworben_ausland) REFERENCES hoechster_berufsabschluss_erworben_ausland_tbl (id),
    FOREIGN KEY (hoechster_berufsabschluss_ausland_anerkannt) REFERENCES hoechster_schulabschluss_ausland_anerkannt_tbl (id),
    FOREIGN KEY (hoechster_berufsabschluss_ausland_land) REFERENCES geburtsland_tbl (id),
    FOREIGN KEY (integrationskurs) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (einkommen_familie) REFERENCES einkommen_familie_tbl (id),
    FOREIGN KEY (einkommen_jugendlicher) REFERENCES einkommen_jugendlicher_tbl (id),
    FOREIGN KEY (schulden_beratung) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (psychische_beeintraechtigung) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (physische_beeintraechtugung) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (sucht) REFERENCES sucht_tbl (id),
    FOREIGN KEY (kompetenzfeststellung) REFERENCES kompetenzfeststellung_tbl (id),
    FOREIGN KEY (kf_verfahren) REFERENCES kf_verfahren_tbl (id),
    FOREIGN KEY (kf_erg_deutsch_a) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_deutsch_b) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_deutsch_c) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_deutsch_d) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_natur_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_natur_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_natur_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_natur_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_natur_e) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_medien_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_medien_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_medien_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_medien_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_medien_e) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_handwerk_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_handwerk_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_handwerk_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_handwerk_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_e) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_f) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_methode_g) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_e) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_f) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_g) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_h) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_i) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_sozial_j) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_e) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_f) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_g) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_h) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_i) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_j) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_selbst_k) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_a) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_b) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_c) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_d) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_e) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_f) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_g) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_h) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_i) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_j) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (kf_erg_leistung_k) REFERENCES kf_erg_natur_a_tbl (id),
    FOREIGN KEY (art_cm_ende) REFERENCES art_cm_ende_tbl (id),
    FOREIGN KEY (abbruch_durch) REFERENCES abbruch_durch_tbl (id),
    FOREIGN KEY (gruende_abbruch_cm) REFERENCES gruende_abbruch_cm_tbl (id),
    FOREIGN KEY (veraenderung_inst_einbindung) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (ende_inst_einbindung) REFERENCES ende_inst_einbindung_tbl (id),
    FOREIGN KEY (verbleib_jugendliche) REFERENCES verbleib_jugendliche_tbl (id)
);
CREATE TABLE rg_kontaktdaten_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    adresse_strasse VARCHAR(60),
    adresse_strassenr VARCHAR(60),
    adresse_plz VARCHAR(5),
    adresse_ort VARCHAR(60),
    vorwahl VARCHAR(60),
    telefon VARCHAR(60),
    mobilfunknummer VARCHAR(60),
    email VARCHAR(60),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);
CREATE TABLE rg_kontaktdaten_sorgeberechtigte_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    name_sorge VARCHAR(128),
    vorname_sorge VARCHAR(128),
    vorwahl_sorge VARCHAR(60),
    telefon_sorge VARCHAR(60),
    mobilfunknummer_sorge VARCHAR(60),
    email_sorge VARCHAR(60),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);
CREATE TABLE rg_institution_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    inst_art INTEGER DEFAULT -1,
    inst_betreuende_stelle VARCHAR(60),
    inst_aktenzeichen VARCHAR(60),
    inst_strasse VARCHAR(60),
    inst_strassenr VARCHAR(60),
    inst_plz VARCHAR(5),
    inst_ort VARCHAR(60),
    inst_person_name VARCHAR(60),
    inst_person_vorname VARCHAR(60),
    inst_vorwahl VARCHAR(60),
    inst_telefon VARCHAR(60),
    inst_email VARCHAR(60),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (inst_art) REFERENCES inst_art_tbl (id)
);
CREATE TABLE rg_sprache_zuhause_weitere_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    sprache_zuhause_weitere INTEGER DEFAULT -1,
    sprache_zuhause_weitere_nennung VARCHAR(60),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (sprache_zuhause_weitere) REFERENCES muttersprache_tbl (id)
);
CREATE TABLE rg_kinder_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    kind_geburtsdatum DATE,
    kind_haushalt INTEGER DEFAULT -1,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (kind_haushalt) REFERENCES war_bereits_kunde_tbl (id)
);
CREATE TABLE rg_biographie2_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    biographie_datum_von DATE,
    biographie_datum_bis DATE,
    biographie_art INTEGER DEFAULT -1,
    biographie_schule INTEGER DEFAULT -1,
    biographie_schule_abschluss INTEGER DEFAULT -1,
    biographie_schule_klasse VARCHAR(60),
    biographie_ausbildung_bezeichnung VARCHAR(60),
    biographie_ausbildung_abschluss INTEGER DEFAULT -1,
    biographie_studium_art INTEGER DEFAULT -1,
    biographie_studium_bezeichnung VARCHAR(60),
    biographie_studium_abschluss INTEGER DEFAULT -1,
    biographie_massnahme INTEGER DEFAULT -1,
    biographie_massnahme_nennung VARCHAR(60),
    biographie_erwerb_nennung VARCHAR(60),
    biographie_anmerkung TEXT,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (biographie_art) REFERENCES biographie_art_tbl (id),
    FOREIGN KEY (biographie_schule) REFERENCES aktuelle_schule_tbl (id),
    FOREIGN KEY (biographie_schule_abschluss) REFERENCES biographie_schule_abschluss_tbl (id),
    FOREIGN KEY (biographie_ausbildung_abschluss) REFERENCES biographie_schule_abschluss_tbl (id),
    FOREIGN KEY (biographie_studium_art) REFERENCES biographie_studium_art_tbl (id),
    FOREIGN KEY (biographie_studium_abschluss) REFERENCES biographie_schule_abschluss_tbl (id),
    FOREIGN KEY (biographie_massnahme) REFERENCES biographie_massnahme_tbl (id)
);
CREATE TABLE rg_weitere_sprache_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    kf_erg_weiteresprache_nennung INTEGER DEFAULT -1,
    kf_erg_weiteresprache_nennung_sonstiges VARCHAR(60),
    kf_erg_weiteresprache_a INTEGER DEFAULT -1,
    kf_erg_weiteresprache_b INTEGER DEFAULT -1,
    kf_erg_weiteresprache_c INTEGER DEFAULT -1,
    kf_erg_weiteresprache_d INTEGER DEFAULT -1,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (kf_erg_weiteresprache_nennung) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (kf_erg_weiteresprache_a) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_weiteresprache_b) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_weiteresprache_c) REFERENCES kf_erg_deutsch_a_tbl (id),
    FOREIGN KEY (kf_erg_weiteresprache_d) REFERENCES kf_erg_deutsch_a_tbl (id)
);
CREATE TABLE rg_ziele_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    fp_ziel INTEGER DEFAULT -1,
    fp_ziel_erreicht INTEGER DEFAULT 2,
    fp_ziel_sonstiges VARCHAR(60),
    fp_ziel_beschreibung TEXT,
    fp_leistung_teilnehmer TEXT,
    fp_leistung_jmd TEXT,
    fp_datum_vereinbarung DATE,
    fp_datum_umsetzung DATE,
    fp_uziel1 VARCHAR(60),
    fp_uziel1_erreicht INTEGER DEFAULT -1,
    fp_uziel1_angebot INTEGER DEFAULT -1,
    ua_uziel1_art TEXT,
    ua_uziel1_datum_start DATE,
    ua_uziel1_datum_ende DATE,
    fp_externe_einrichtung_1_name VARCHAR(60),
    fp_externe_einrichtung_1_datum DATE,
    fp_uziel2 VARCHAR(60),
    fp_uziel2_erreicht INTEGER DEFAULT -1,
    fp_uziel2_angebot INTEGER DEFAULT -1,
    ua_uziel2_art TEXT,
    ua_uziel2_datum_start DATE,
    ua_uziel2_datum_ende DATE,
    fp_externe_einrichtung_2_name VARCHAR(60),
    fp_externe_einrichtung_2_datum DATE,
    fp_uziel3 VARCHAR(60),
    fp_uziel3_erreicht INTEGER DEFAULT -1,
    fp_uziel3_angebot INTEGER DEFAULT -1,
    ua_uziel3_art TEXT,
    ua_uziel3_datum_start DATE,
    ua_uziel3_datum_ende DATE,
    fp_externe_einrichtung_3_name VARCHAR(60),
    fp_externe_einrichtung_3_datum DATE,
    fp_uziel4 VARCHAR(60),
    fp_uziel4_erreicht INTEGER DEFAULT -1,
    fp_uziel4_angebot INTEGER DEFAULT -1,
    ua_uziel4_art TEXT,
    ua_uziel4_datum_start DATE,
    ua_uziel4_datum_ende DATE,
    fp_externe_einrichtung_4_name VARCHAR(60),
    fp_externe_einrichtung_4_datum DATE,
    fp_uziel5 VARCHAR(60),
    fp_uziel5_erreicht INTEGER DEFAULT -1,
    fp_uziel5_angebot INTEGER DEFAULT -1,
    ua_uziel5_art TEXT,
    ua_uziel5_datum_start DATE,
    ua_uziel5_datum_ende DATE,
    fp_externe_einrichtung_5_name VARCHAR(60),
    fp_externe_einrichtung_5_datum DATE,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (fp_ziel) REFERENCES fp_ziel_tbl (id),
    FOREIGN KEY (fp_ziel_erreicht) REFERENCES fp_ziel_erreicht_tbl (id),
    FOREIGN KEY (fp_uziel1_erreicht) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel1_angebot) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel2_erreicht) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel2_angebot) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel3_erreicht) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel3_angebot) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel4_erreicht) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel4_angebot) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel5_erreicht) REFERENCES war_bereits_kunde_tbl (id),
    FOREIGN KEY (fp_uziel5_angebot) REFERENCES war_bereits_kunde_tbl (id)
);

--
-- INSERT DATA
--
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (1, 'allgemeinbildende Schule');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (2, 'Berufsschule');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (3, 'Berufsvorbereitungsjahr (BVJ)');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (4, 'Berufsgrundbildungsjahr (BGJ)');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (5, 'betriebliche Ausbildung');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (6, 'außerbetriebliche Ausbildung');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (7, 'Erwerbsarbeit');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (8, 'Maßnahme');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (9, 'Elternzeit');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (10, 'Strafvollzug');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (11, 'Wehr- / Zivildienst / Freiwilliges soziales Jahr');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (12, 'Verlassen der BRD');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (13, 'Aufnahme des Hochschulstudiums');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (14, 'Abschluss des Hochschulstudiums');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (15, 'Sonstiges');
INSERT INTO verbleib_jugendliche_tbl (id, value) VALUES (16, 'Förderschule');

INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (1, 'Förderschule');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (2, 'Hauptschule');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (3, 'Realschule');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (4, 'Schularten mit drei Bildungsgängen/Gesamtschule');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (5, 'Gymnasium');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (6, 'Berufsschule');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (7, 'Berufsvorbereitungsjahr  (BVJ)');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (8, 'Berufsgrundbildungsjahr (BGJ)');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (9, 'betriebliche Ausbildung');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (10, 'außerbetriebliche / schulische Ausbildung');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (11, 'Erwerbstätig');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (12, 'Maßnahme');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (13, 'Elternzeit');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (14, '(Jugend)strafvollzug');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (15, '(alt) Zivildienst / Wehrpflicht / Freiwilligenjahr');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (16, 'Studium');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (17, 'Arbeitslos');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (18, 'Selbstständig');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (19, 'Praktikum');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (20, 'Freiwilligendienst');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (21, 'Verlassen der BRD');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (22, 'Aufnahme des Hochschulstudiums');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (23, 'Abschluss des Hochschulstudiums');
INSERT INTO ende_inst_einbindung_tbl (id, value) VALUES (24, 'Schularten mit zwei Bildungsgängen');

INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (1, 'persönliche Gründe');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (2, 'Umzug');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (3, 'Krankheit');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (4, 'Altersüberschreitung');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (5, 'mangelnde Mitarbeit des jungen Menschen');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (6, 'Konflikte');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (7, 'Haft / U-Haft');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (8, 'Sonstiges');
INSERT INTO gruende_abbruch_cm_tbl (id, value) VALUES (9, 'Ausscheiden des/der betreuenden JMD-MitarbeiterIn');

INSERT INTO abbruch_durch_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (1, 'jungen Menschen');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (2, 'JMD-Mitarbeiter/in');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (3, 'Sorgeberechtigten');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (4, 'Sonstiges');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (5, 'JMD aufgrund Ausscheidens des/der betreuenden JMD-MitarbeiterIn');

INSERT INTO art_cm_ende_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_cm_ende_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_cm_ende_tbl (id, value) VALUES (0, 'Abbruch');
INSERT INTO art_cm_ende_tbl (id, value) VALUES (1, 'regulär');
INSERT INTO art_cm_ende_tbl (id, value) VALUES (2, 'Abbruch aufgrund Ausscheidens des/der betreuenden JMD-MitarbeiterIn');

INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (1, 'Ja');
INSERT INTO fp_ziel_erreicht_tbl (id, value) VALUES (2, 'im Prozess');

INSERT INTO fp_ziel_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO fp_ziel_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO fp_ziel_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO fp_ziel_tbl (id, value) VALUES (1, 'Sprachliche Integration');
INSERT INTO fp_ziel_tbl (id, value) VALUES (2, 'Schulische Integration');
INSERT INTO fp_ziel_tbl (id, value) VALUES (3, 'Berufliche Integration');
INSERT INTO fp_ziel_tbl (id, value) VALUES (4, 'Soziale Integration');

INSERT INTO kf_erg_natur_a_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO kf_erg_natur_a_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO kf_erg_natur_a_tbl (id, value) VALUES (1, 'stark ausgeprägt');
INSERT INTO kf_erg_natur_a_tbl (id, value) VALUES (2, 'ausgeprägt');
INSERT INTO kf_erg_natur_a_tbl (id, value) VALUES (3, 'schwach ausgeprägt');
INSERT INTO kf_erg_natur_a_tbl (id, value) VALUES (4, 'sehr schwach ausgeprägt');

INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (1, 'A1');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (2, 'A2');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (3, 'B1');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (4, 'B2');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (5, 'C1');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (6, 'C2');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (7, 'Analph.');
INSERT INTO kf_erg_deutsch_a_tbl (id, value) VALUES (8, 'Unter A1');

INSERT INTO kf_verfahren_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (1, 'Interviews');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (2, 'Testverfahren');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (3, 'biografieorientierte Methoden');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (4, 'Selbstbeurteilungen');
INSERT INTO kf_verfahren_tbl (id, value) VALUES (5, 'simulations- und handlungsorientierte Verfahren');

INSERT INTO kompetenzfeststellung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO kompetenzfeststellung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO kompetenzfeststellung_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO kompetenzfeststellung_tbl (id, value) VALUES (1, 'Ja (intern/ selbst durchgeführt)');
INSERT INTO kompetenzfeststellung_tbl (id, value) VALUES (2, 'Ja (extern)');

INSERT INTO sucht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO sucht_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO sucht_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO sucht_tbl (id, value) VALUES (0, 'Keine Sucht');
INSERT INTO sucht_tbl (id, value) VALUES (1, 'Drogen');
INSERT INTO sucht_tbl (id, value) VALUES (2, 'Alkohol');
INSERT INTO sucht_tbl (id, value) VALUES (3, 'Medikamente');
INSERT INTO sucht_tbl (id, value) VALUES (4, 'Spiel');
INSERT INTO sucht_tbl (id, value) VALUES (5, 'Internet');

INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (1, 'Erwerbstätig');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (2, 'Grundsicherung / Transferleistungen');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (3, 'Unterhaltszahlungen');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (4, 'Ausbildungsvergütung');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (5, 'staatl. Ausbildungsförderung');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (6, 'Stipendium');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (7, 'Selbstständig');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (8, 'Erwerbstätig und ergänzende Transferleistungen');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (9, 'Einkommen durch Erwerbstätigkeit der Partnerin / des Partners');
INSERT INTO einkommen_jugendlicher_tbl (id, value) VALUES (10, 'Taschengeld');

INSERT INTO einkommen_familie_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (1, 'Erwerbstätig');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (2, 'Grundsicherung / Transferleistungen');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (3, 'Unterhaltszahlungen');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (4, 'Selbstständig');
INSERT INTO einkommen_familie_tbl (id, value) VALUES (5, 'Erwerbstätig und ergänzende Transferleistungen');

INSERT INTO biographie_massnahme_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO biographie_massnahme_tbl (id, value) VALUES (-2, 'sonstige');
INSERT INTO biographie_massnahme_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO biographie_massnahme_tbl (id, value) VALUES (1, 'SGB II-Maßnahme');
INSERT INTO biographie_massnahme_tbl (id, value) VALUES (2, 'SGB III-Maßnahme');
INSERT INTO biographie_massnahme_tbl (id, value) VALUES (3, 'Integrationskurs');
INSERT INTO biographie_massnahme_tbl (id, value) VALUES (4, 'GFH-Kurs');

INSERT INTO biographie_studium_art_tbl (id, value) VALUES (-2, 'Unbekannt');
INSERT INTO biographie_studium_art_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO biographie_studium_art_tbl (id, value) VALUES (1, 'Fachhochschule');
INSERT INTO biographie_studium_art_tbl (id, value) VALUES (2, 'Universität');

INSERT INTO biographie_schule_abschluss_tbl (id, value) VALUES (-2, 'Unbekannt');
INSERT INTO biographie_schule_abschluss_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO biographie_schule_abschluss_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO biographie_schule_abschluss_tbl (id, value) VALUES (1, 'Ja');

INSERT INTO biographie_art_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO biographie_art_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO biographie_art_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO biographie_art_tbl (id, value) VALUES (0, 'schulischer Bildung');
INSERT INTO biographie_art_tbl (id, value) VALUES (1, 'betrieblicher Ausbildung');
INSERT INTO biographie_art_tbl (id, value) VALUES (2, 'außerbetrieblicher Ausbildung');
INSERT INTO biographie_art_tbl (id, value) VALUES (3, 'Maßnahme');
INSERT INTO biographie_art_tbl (id, value) VALUES (4, 'Erwerbstätigkeit');
INSERT INTO biographie_art_tbl (id, value) VALUES (5, 'Selbständigkeit');
INSERT INTO biographie_art_tbl (id, value) VALUES (6, 'Arbeitslosigkeit');
INSERT INTO biographie_art_tbl (id, value) VALUES (7, 'Elternzeit');
INSERT INTO biographie_art_tbl (id, value) VALUES (8, 'Zivildienst / Wehrpflicht / Freiwilligenjahr');
INSERT INTO biographie_art_tbl (id, value) VALUES (9, 'Studium');
INSERT INTO biographie_art_tbl (id, value) VALUES (10, 'Freiwilligendienst');

INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (-4, 'Unbekannt (Altdaten)');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (1, 'Anlernqualifikation / Einstiegsqualifizierung');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (2, 'betriebliche Ausbildung');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (3, 'außerbetriebliche Ausbildung');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (4, 'Fachwirt/in (IHK), Meister/in (IHK, HWK)');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (5, 'Bachelor, Diplom (FH)');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (6, 'Master / M.A / Diplom (Universität)');
INSERT INTO hoechster_berufsabschluss_erworben_ausland_tbl (id, value) VALUES (7, 'sonstiger Abschluss');

INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (-4, 'Unbekannt (Altdaten)');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (0, 'Ohne (in Deutschland erworbenen) beruflichen Abschluss');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (1, 'Anlernqualifikation / Einstiegsqualifizierung');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (2, 'betriebliche Ausbildung');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (3, 'außerbetriebliche Ausbildung');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (4, 'Fachwirt/in (IHK), Meister/in (IHK, HWK)');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (5, 'Bachelor, Diplom (FH)');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (6, 'Master / M.A / Diplom (Universität)');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (7, 'sonstiger Abschluss');
INSERT INTO hoechster_berufsabschluss_erworben_de_tbl (id, value) VALUES (8, 'Kein Abschluss, weil noch in Ausbildung');

INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (0, 'Ohne beruflichen Abschluss');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (1, 'Anlernqualifikation / Einstiegsqualifizierung');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (2, 'betriebliche Ausbildung');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (3, 'außerbetriebliche Ausbildung');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (4, 'Fachwirt/in (IHK), Meister/in (IHK, HWK)');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (5, 'Bachelor, Diplom (FH)');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (6, 'Master / M.A / Diplom (Universität)');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (7, 'sonstiger Abschluss');
INSERT INTO hoechster_berufsabschluss_tbl (id, value) VALUES (8, 'Kein Abschluss, weil noch in beruflicher Ausbildung');

INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (1, 'Ja');
INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (3, 'Anerkennung in Bearbeitung');
INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (4, 'Teilweise anerkannt');
INSERT INTO hoechster_schulabschluss_ausland_anerkannt_tbl (id, value) VALUES (5, 'Anerkennung nicht angestrebt');

INSERT INTO hoechster_schulabschluss_erworben_ausland_tbl (id, value) VALUES (-4, 'Unbekannt (Altdaten)');
INSERT INTO hoechster_schulabschluss_erworben_ausland_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_schulabschluss_erworben_ausland_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_schulabschluss_erworben_ausland_tbl (id, value) VALUES (1, 'Förderschule/Sonderschule beendet');
INSERT INTO hoechster_schulabschluss_erworben_ausland_tbl (id, value) VALUES (2, 'Abschluss Sek I');
INSERT INTO hoechster_schulabschluss_erworben_ausland_tbl (id, value) VALUES (5, 'Abschluss Sek II');

INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (-4, 'Unbekannt (Altdaten)');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (0, 'Ohne allgemeinen (in Deutschland erworbenen) Schulabschluss');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (1, 'Förderschule/Sonderschule beendet');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (2, 'Abschluss Sek I');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (5, 'Abschluss Sek II');
INSERT INTO hoechster_schulabschluss_erworben_de_tbl (id, value) VALUES (9, 'Kein Abschluss, weil noch in schulischer Ausbildung');

INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (-2, '(alt) sonstiger Abschluss');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (0, 'Ohne allgemeinen Schulabschluss');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (1, 'Förderschule/Sonderschule beendet');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (2, 'Abschluss Sek I');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (5, 'Abschluss Sek II');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (7, '(alt) Berufsvorbereitungsjahr (BVJ)');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (8, '(alt) Berufsgrundbildungsjahr (BGJ)');
INSERT INTO hoechster_schulabschluss_tbl (id, value) VALUES (9, 'Kein Abschluss, weil noch in schulischer Ausbildung');

INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (1, 'SGBII-Maßnahme');
INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (2, 'SGBIII-Kurs');
INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (4, 'GFH-Kurs');
INSERT INTO aktuelle_massnahme_art_tbl (id, value) VALUES (5, 'SGBVIII-Maßnahme');

INSERT INTO aktuelle_schule_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (-2, 'sonstige Schule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (1, 'Förderschule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (2, 'Hauptschule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (3, 'Realschule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (4, 'Schularten mit drei Bildungsgängen/Gesamtschule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (5, 'Gymnasium');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (6, 'Berufsschule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (7, 'Berufsvorbereitungsjahr (BVJ)');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (8, 'Berufsgrundbildungsjahr (BGJ)');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (9, 'Berufskolleg');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (10, 'Grundschule');
INSERT INTO aktuelle_schule_tbl (id, value) VALUES (11, 'Schularten mit zwei Bildungsgängen');

INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (1, 'Ja');
INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (2, 'Nein');

INSERT INTO aktuelle_situation_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (1, 'Schule');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (3, 'betriebliche Ausbildung');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (4, 'außerbetriebliche Ausbildung');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (5, 'Maßnahme');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (6, 'Erwerbstätig');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (7, 'Arbeitssuchend');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (8, 'Elternzeit');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (9, '(alt) Zivildienst / Wehrpflicht / Freiwilligenjahr');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (10, 'Selbstständig');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (11, 'Integrationssprachkurs');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (12, 'Studium');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (13, 'ESF-BAMF-Kurs (Alteintrag ab 2019)');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (14, 'Praktikum');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (15, 'Freiwilligendienst');
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (16, 'DeuFöv (BAMF)');

INSERT INTO zugeh_a_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO zugeh_a_tbl (id, value) VALUES (1, 'Sehr enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (2, 'Enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (3, 'Eher enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (4, 'Eher keine enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (5, 'Keine enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (6, 'Keine Zugehörigkeit');

INSERT INTO mutter_geburtsland_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO mutter_geburtsland_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO mutter_geburtsland_tbl (id, value) VALUES (1, 'Deutschland');
INSERT INTO mutter_geburtsland_tbl (id, value) VALUES (2, 'anderes Land');

INSERT INTO familienstand_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO familienstand_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO familienstand_tbl (id, value) VALUES (1, 'ledig');
INSERT INTO familienstand_tbl (id, value) VALUES (2, 'verheiratet');
INSERT INTO familienstand_tbl (id, value) VALUES (3, 'getrennt lebend');
INSERT INTO familienstand_tbl (id, value) VALUES (4, 'geschieden');
INSERT INTO familienstand_tbl (id, value) VALUES (5, 'verwitwet');
INSERT INTO familienstand_tbl (id, value) VALUES (6, 'in fester Partnerschaft');
INSERT INTO familienstand_tbl (id, value) VALUES (7, 'in eingetragener Lebenspartnerschaft');

INSERT INTO muttersprache_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO muttersprache_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO muttersprache_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO muttersprache_tbl (id, value) VALUES (0, 'Afrikaans');
INSERT INTO muttersprache_tbl (id, value) VALUES (1, 'Albanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (3, 'Arabisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (4, 'Aramäisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (5, 'Armenisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (6, 'Aserbaidschanisch / Azeri');
INSERT INTO muttersprache_tbl (id, value) VALUES (7, 'Assami');
INSERT INTO muttersprache_tbl (id, value) VALUES (8, 'Äthiopisch / Amharisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (10, 'Baskisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (11, 'Bengali');
INSERT INTO muttersprache_tbl (id, value) VALUES (12, 'Bulgarisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (13, 'Burmesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (14, 'Chinesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (15, 'Dänisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (16, 'Darginisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (17, 'Dari');
INSERT INTO muttersprache_tbl (id, value) VALUES (18, 'Deutsch');
INSERT INTO muttersprache_tbl (id, value) VALUES (19, 'Englisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (20, 'Estnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (22, 'Finnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (23, 'Französisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (24, 'Oromo');
INSERT INTO muttersprache_tbl (id, value) VALUES (25, 'Galizisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (26, 'Ge''ez (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (27, 'Georgisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (28, 'Glagolitisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (29, 'Griechisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (30, 'Gujarati');
INSERT INTO muttersprache_tbl (id, value) VALUES (31, 'Haussa');
INSERT INTO muttersprache_tbl (id, value) VALUES (32, 'Hebräisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (33, 'Hindi');
INSERT INTO muttersprache_tbl (id, value) VALUES (34, 'Indonesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (35, 'Inuktitut');
INSERT INTO muttersprache_tbl (id, value) VALUES (36, 'Irisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (37, 'Isländisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (38, 'Italienisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (39, 'Japanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (40, 'Jawi (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (41, 'Jiddisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (42, 'Kabardianisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (43, 'Kanarese (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (44, 'Kannada');
INSERT INTO muttersprache_tbl (id, value) VALUES (45, 'Kasachisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (46, 'Katalanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (47, 'Khmer');
INSERT INTO muttersprache_tbl (id, value) VALUES (48, 'Kirgisisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (49, 'Koptisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (50, 'Koreanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (51, 'Krimtatarisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (52, 'Kroatisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (53, 'Kurdisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (54, 'Laotisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (55, 'Lateinisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (56, 'Lettisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (57, 'Lihijanisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (58, 'Litauisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (59, 'Luxemburgisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (60, 'Makedonisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (61, 'Malayalam');
INSERT INTO muttersprache_tbl (id, value) VALUES (62, 'Malaiisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (63, 'Maledivisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (64, 'Maori');
INSERT INTO muttersprache_tbl (id, value) VALUES (65, 'Marathi');
INSERT INTO muttersprache_tbl (id, value) VALUES (66, 'Moabitisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (67, 'Moldawisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (68, 'Mongolisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (69, 'Nabatäisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (70, 'Nepalesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (71, 'Niederländisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (72, 'Norwegisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (73, 'Ossetisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (74, 'Paschto');
INSERT INTO muttersprache_tbl (id, value) VALUES (75, 'Persisch/Farsi');
INSERT INTO muttersprache_tbl (id, value) VALUES (76, 'Polnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (77, 'Portugiesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (78, 'Punjabi');
INSERT INTO muttersprache_tbl (id, value) VALUES (79, 'Rätoromanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (80, 'Rumänisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (81, 'Russisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (82, 'Safatenisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (83, 'Samoanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (84, 'Sanskrit (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (85, 'Schwedisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (86, 'Serbisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (87, 'Sindhi');
INSERT INTO muttersprache_tbl (id, value) VALUES (88, 'Singhalesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (89, 'Slowakisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (90, 'Slowenisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (91, 'Spanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (92, 'Swahili');
INSERT INTO muttersprache_tbl (id, value) VALUES (93, 'Syrisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (94, 'Südarabisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (95, 'Tagalog');
INSERT INTO muttersprache_tbl (id, value) VALUES (96, 'Tamil');
INSERT INTO muttersprache_tbl (id, value) VALUES (97, 'Tamudisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (98, 'Telugu');
INSERT INTO muttersprache_tbl (id, value) VALUES (99, 'Thailändisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (100, 'Tibetisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (101, 'Tigre');
INSERT INTO muttersprache_tbl (id, value) VALUES (102, 'Tigrina');
INSERT INTO muttersprache_tbl (id, value) VALUES (103, 'Tschechisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (104, 'Türkisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (105, 'Ugaritisch (alt)');
INSERT INTO muttersprache_tbl (id, value) VALUES (106, 'Uigurisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (107, 'Ukrainisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (108, 'Ungarisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (109, 'Urdu');
INSERT INTO muttersprache_tbl (id, value) VALUES (110, 'Usbekisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (111, 'Vietnamesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (112, 'Walisisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (113, 'Weissrussisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (114, 'Zulu');
INSERT INTO muttersprache_tbl (id, value) VALUES (115, 'Bosnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (116, 'Montenegrinisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (117, 'Somali');
INSERT INTO muttersprache_tbl (id, value) VALUES (118, 'Romanes');
INSERT INTO muttersprache_tbl (id, value) VALUES (119, 'Tschetschenisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (120, 'Kotokoli / Tem');
INSERT INTO muttersprache_tbl (id, value) VALUES (121, 'Wolof');
INSERT INTO muttersprache_tbl (id, value) VALUES (122, 'Susu');
INSERT INTO muttersprache_tbl (id, value) VALUES (123, 'Mandinka');
INSERT INTO muttersprache_tbl (id, value) VALUES (124, 'Bambara');
INSERT INTO muttersprache_tbl (id, value) VALUES (125, 'Twi');
INSERT INTO muttersprache_tbl (id, value) VALUES (126, 'Assyrisch-Neuaramäisch');

INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (0, 'Afghanistan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (1, 'Albanien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (2, 'Algerien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (3, 'Andorra');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (4, 'Angola');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (5, 'Antigua und Barbuda');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (6, 'Argentinien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (7, 'Armenien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (8, 'Aserbaidschan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (9, 'Australien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (10, 'Bahamas');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (11, 'Bahrain');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (12, 'Bangladesch');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (13, 'Barbados');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (14, 'Belgien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (15, 'Belize');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (16, 'Benin');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (17, 'Bhutan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (18, 'Bolivien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (19, 'Bosnien und Herzegowina');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (20, 'Botsuana');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (21, 'Brasilien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (22, 'Brunei Darussalam');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (23, 'Bulgarien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (24, 'Burkina Faso');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (25, 'Burundi');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (26, 'Chile');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (27, 'China');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (28, 'Costa Rica');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (29, 'Deutschland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (30, 'Dominica');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (31, 'Dominikanische Republik');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (32, 'Dschibuti');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (33, 'Dänemark (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (34, 'Ecuador');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (35, 'El Salvador');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (36, 'Côte d''Ivoire');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (37, 'Eritrea');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (38, 'Estland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (39, 'Fidschi');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (40, 'Finnland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (41, 'Frankreich (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (42, 'Gabun');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (43, 'Gambia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (44, 'Georgien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (45, 'Ghana');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (46, 'Grenada');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (47, 'Griechenland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (48, 'Großbritannien / Vereinigtes Königreich (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (49, 'Guatemala');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (50, 'Guinea');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (51, 'Guinea-Bissau');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (52, 'Guyana');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (53, 'Haiti');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (54, 'Honduras');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (55, 'Indien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (56, 'Indonesien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (57, 'Irak');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (58, 'Iran');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (59, 'Irland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (60, 'Island');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (61, 'Israel');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (62, 'Italien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (63, 'Jamaika');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (64, 'Japan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (65, 'Jemen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (66, 'Jordanien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (67, 'Kambodscha');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (68, 'Kamerun');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (69, 'Kanada');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (70, 'Kap Verde');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (71, 'Kasachstan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (72, 'Katar');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (73, 'Kenia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (74, 'Kirgisistan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (75, 'Kiribati');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (76, 'Kolumbien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (77, 'Komoren');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (78, 'Kongo (Demokratische Republik Kongo)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (79, 'Kongo (Republik Kongo)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (80, 'Korea (Demokratische Volksrepublik, Nordkorea)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (81, 'Korea, (Republik Korea, Südkorea)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (82, 'Kroatien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (83, 'Kuba');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (84, 'Kuwait');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (85, 'Laos');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (86, 'Lesotho');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (87, 'Lettland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (88, 'Libanon');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (89, 'Liberia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (90, 'Libyen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (91, 'Liechtenstein');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (92, 'Litauen (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (93, 'Luxemburg (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (94, 'Madagaskar');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (95, 'Malawi');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (96, 'Malaysia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (97, 'Malediven');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (98, 'Mali');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (99, 'Malta (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (100, 'Marokko');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (101, 'Marshallinseln');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (102, 'Mauretanien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (103, 'Mauritius');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (104, 'Ehemalige jugoslawische Republik Mazedonien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (105, 'Mexiko');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (106, 'Mikronesien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (107, 'Republik Moldau');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (108, 'Monaco');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (109, 'Mongolei');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (110, 'Montenegro');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (111, 'Mosambik');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (112, 'Myanmar');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (113, 'Namibia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (114, 'Nauru');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (115, 'Nepal');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (116, 'Neuseeland');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (117, 'Nicaragua');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (118, 'Niederlande (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (119, 'Niger');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (120, 'Nigeria');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (121, 'Norwegen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (122, 'Oman');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (123, 'Timor-Leste');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (124, 'Pakistan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (125, 'Palau');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (126, 'Panama');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (127, 'Papua-Neuguinea');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (128, 'Paraguay');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (129, 'Peru');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (130, 'Philippinen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (131, 'Polen (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (132, 'Portugal (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (133, 'Ruanda');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (134, 'Rumänien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (135, 'Russische Föderation');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (136, 'Salomonen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (137, 'Sambia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (138, 'Samoa');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (139, 'San Marino');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (140, 'Saudi-Arabien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (141, 'Schweden (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (142, 'Schweiz');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (143, 'Senegal');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (144, 'Serbien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (145, 'Seychellen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (146, 'Sierra Leone');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (147, 'Simbabwe');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (148, 'Singapur');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (149, 'Slowakei (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (150, 'Slowenien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (151, 'Somalia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (152, 'Spanien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (153, 'Sri Lanka');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (154, 'St. Kitts und Nevis');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (155, 'St. Lucia');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (156, 'St. Vincent und die Grenadinen');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (157, 'Sudan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (158, 'Suriname');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (159, 'Swasiland');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (160, 'Syrien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (161, 'São Tomé und Príncipe');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (162, 'Südafrika');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (163, 'Tadschikistan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (164, 'Tansania');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (165, 'Thailand');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (166, 'Togo');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (167, 'Tonga');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (168, 'Trinidad und Tobago');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (169, 'Tschad');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (170, 'Tschechische Republik (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (171, 'Tunesien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (172, 'Turkmenistan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (173, 'Tuvalu');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (174, 'Türkei');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (175, 'Uganda');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (176, 'Ukraine');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (177, 'Ungarn (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (178, 'Uruguay');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (179, 'Usbekistan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (180, 'Vanuatu');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (181, 'Vatikan / Heiliger Stuhl');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (182, 'Venezuela');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (183, 'Vereinigte Arabische Emirate');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (184, 'Vereinigte Staaten von Amerika');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (185, 'Vietnam');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (186, 'Weißrussland / Belarus');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (187, 'Zentralafrikanische Republik');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (188, 'Zypern (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (189, 'Ägypten');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (190, 'Äquatorialguinea');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (191, 'Äthiopien');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (192, 'Österreich (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (193, 'Cookinseln');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (194, 'Hongkong');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (198, 'Taiwan');
INSERT INTO staatsangehoerigkeit_weitere_tbl (id, value) VALUES (199, 'Keine weitere Staatsangehörigkeit');

INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (0, 'Afghanistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (1, 'Albanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (2, 'Algerien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (3, 'Andorra');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (4, 'Angola');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (5, 'Antigua und Barbuda');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (6, 'Argentinien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (7, 'Armenien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (8, 'Aserbaidschan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (9, 'Australien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (10, 'Bahamas');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (11, 'Bahrain');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (12, 'Bangladesch');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (13, 'Barbados');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (14, 'Belgien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (15, 'Belize');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (16, 'Benin');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (17, 'Bhutan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (18, 'Bolivien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (19, 'Bosnien und Herzegowina');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (20, 'Botsuana');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (21, 'Brasilien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (22, 'Brunei Darussalam');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (23, 'Bulgarien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (24, 'Burkina Faso');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (25, 'Burundi');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (26, 'Chile');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (27, 'China');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (28, 'Costa Rica');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (29, 'Deutschland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (30, 'Dominica');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (31, 'Dominikanische Republik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (32, 'Dschibuti');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (33, 'Dänemark (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (34, 'Ecuador');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (35, 'El Salvador');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (36, 'Côte d''Ivoire');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (37, 'Eritrea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (38, 'Estland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (39, 'Fidschi');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (40, 'Finnland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (41, 'Frankreich (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (42, 'Gabun');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (43, 'Gambia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (44, 'Georgien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (45, 'Ghana');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (46, 'Grenada');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (47, 'Griechenland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (48, 'Großbritannien / Vereinigtes Königreich (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (49, 'Guatemala');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (50, 'Guinea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (51, 'Guinea-Bissau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (52, 'Guyana');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (53, 'Haiti');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (54, 'Honduras');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (55, 'Indien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (56, 'Indonesien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (57, 'Irak');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (58, 'Iran');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (59, 'Irland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (60, 'Island');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (61, 'Israel');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (62, 'Italien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (63, 'Jamaika');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (64, 'Japan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (65, 'Jemen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (66, 'Jordanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (67, 'Kambodscha');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (68, 'Kamerun');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (69, 'Kanada');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (70, 'Kap Verde');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (71, 'Kasachstan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (72, 'Katar');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (73, 'Kenia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (74, 'Kirgisistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (75, 'Kiribati');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (76, 'Kolumbien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (77, 'Komoren');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (78, 'Kongo (Demokratische Republik Kongo)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (79, 'Kongo (Republik Kongo)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (80, 'Korea (Demokratische Volksrepublik, Nordkorea)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (81, 'Korea, (Republik Korea, Südkorea)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (82, 'Kroatien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (83, 'Kuba');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (84, 'Kuwait');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (85, 'Laos');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (86, 'Lesotho');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (87, 'Lettland (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (88, 'Libanon');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (89, 'Liberia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (90, 'Libyen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (91, 'Liechtenstein');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (92, 'Litauen (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (93, 'Luxemburg (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (94, 'Madagaskar');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (95, 'Malawi');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (96, 'Malaysia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (97, 'Malediven');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (98, 'Mali');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (99, 'Malta (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (100, 'Marokko');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (101, 'Marshallinseln');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (102, 'Mauretanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (103, 'Mauritius');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (104, 'Ehemalige jugoslawische Republik Mazedonien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (105, 'Mexiko');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (106, 'Mikronesien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (107, 'Republik Moldau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (108, 'Monaco');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (109, 'Mongolei');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (110, 'Montenegro');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (111, 'Mosambik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (112, 'Myanmar');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (113, 'Namibia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (114, 'Nauru');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (115, 'Nepal');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (116, 'Neuseeland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (117, 'Nicaragua');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (118, 'Niederlande (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (119, 'Niger');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (120, 'Nigeria');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (121, 'Norwegen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (122, 'Oman');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (123, 'Timor-Leste');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (124, 'Pakistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (125, 'Palau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (126, 'Panama');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (127, 'Papua-Neuguinea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (128, 'Paraguay');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (129, 'Peru');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (130, 'Philippinen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (131, 'Polen (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (132, 'Portugal (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (133, 'Ruanda');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (134, 'Rumänien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (135, 'Russische Föderation');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (136, 'Salomonen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (137, 'Sambia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (138, 'Samoa');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (139, 'San Marino');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (140, 'Saudi-Arabien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (141, 'Schweden (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (142, 'Schweiz');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (143, 'Senegal');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (144, 'Serbien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (145, 'Seychellen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (146, 'Sierra Leone');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (147, 'Simbabwe');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (148, 'Singapur');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (149, 'Slowakei (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (150, 'Slowenien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (151, 'Somalia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (152, 'Spanien (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (153, 'Sri Lanka');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (154, 'St. Kitts und Nevis');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (155, 'St. Lucia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (156, 'St. Vincent und die Grenadinen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (157, 'Sudan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (158, 'Suriname');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (159, 'Swasiland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (160, 'Syrien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (161, 'São Tomé und Príncipe');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (162, 'Südafrika');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (163, 'Tadschikistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (164, 'Tansania');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (165, 'Thailand');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (166, 'Togo');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (167, 'Tonga');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (168, 'Trinidad und Tobago');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (169, 'Tschad');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (170, 'Tschechische Republik (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (171, 'Tunesien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (172, 'Turkmenistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (173, 'Tuvalu');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (174, 'Türkei');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (175, 'Uganda');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (176, 'Ukraine');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (177, 'Ungarn (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (178, 'Uruguay');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (179, 'Usbekistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (180, 'Vanuatu');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (181, 'Vatikan / Heiliger Stuhl');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (182, 'Venezuela');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (183, 'Vereinigte Arabische Emirate');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (184, 'Vereinigte Staaten von Amerika');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (185, 'Vietnam');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (186, 'Weißrussland / Belarus');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (187, 'Zentralafrikanische Republik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (188, 'Zypern (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (189, 'Ägypten');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (190, 'Äquatorialguinea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (191, 'Äthiopien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (192, 'Österreich (EU-Mitglied)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (193, 'Cookinseln');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (194, 'Hongkong');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (198, 'Taiwan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (997, 'Staatenlos');

INSERT INTO geburtsland_tbl (id, value) VALUES (-4, 'Unbekannt (Altdaten)');
INSERT INTO geburtsland_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO geburtsland_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO geburtsland_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO geburtsland_tbl (id, value) VALUES (0, 'Afghanistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (1, 'Albanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (2, 'Algerien');
INSERT INTO geburtsland_tbl (id, value) VALUES (3, 'Andorra');
INSERT INTO geburtsland_tbl (id, value) VALUES (4, 'Angola');
INSERT INTO geburtsland_tbl (id, value) VALUES (5, 'Antigua und Barbuda');
INSERT INTO geburtsland_tbl (id, value) VALUES (6, 'Argentinien');
INSERT INTO geburtsland_tbl (id, value) VALUES (7, 'Armenien');
INSERT INTO geburtsland_tbl (id, value) VALUES (8, 'Aserbaidschan');
INSERT INTO geburtsland_tbl (id, value) VALUES (9, 'Australien');
INSERT INTO geburtsland_tbl (id, value) VALUES (10, 'Bahamas');
INSERT INTO geburtsland_tbl (id, value) VALUES (11, 'Bahrain');
INSERT INTO geburtsland_tbl (id, value) VALUES (12, 'Bangladesch');
INSERT INTO geburtsland_tbl (id, value) VALUES (13, 'Barbados');
INSERT INTO geburtsland_tbl (id, value) VALUES (14, 'Belgien');
INSERT INTO geburtsland_tbl (id, value) VALUES (15, 'Belize');
INSERT INTO geburtsland_tbl (id, value) VALUES (16, 'Benin');
INSERT INTO geburtsland_tbl (id, value) VALUES (17, 'Bhutan');
INSERT INTO geburtsland_tbl (id, value) VALUES (18, 'Bolivien');
INSERT INTO geburtsland_tbl (id, value) VALUES (19, 'Bosnien und Herzegowina');
INSERT INTO geburtsland_tbl (id, value) VALUES (20, 'Botsuana');
INSERT INTO geburtsland_tbl (id, value) VALUES (21, 'Brasilien');
INSERT INTO geburtsland_tbl (id, value) VALUES (22, 'Brunei Darussalam');
INSERT INTO geburtsland_tbl (id, value) VALUES (23, 'Bulgarien');
INSERT INTO geburtsland_tbl (id, value) VALUES (24, 'Burkina Faso');
INSERT INTO geburtsland_tbl (id, value) VALUES (25, 'Burundi');
INSERT INTO geburtsland_tbl (id, value) VALUES (26, 'Chile');
INSERT INTO geburtsland_tbl (id, value) VALUES (27, 'China');
INSERT INTO geburtsland_tbl (id, value) VALUES (28, 'Costa Rica');
INSERT INTO geburtsland_tbl (id, value) VALUES (29, 'Deutschland');
INSERT INTO geburtsland_tbl (id, value) VALUES (30, 'Dominica');
INSERT INTO geburtsland_tbl (id, value) VALUES (31, 'Dominikanische Republik');
INSERT INTO geburtsland_tbl (id, value) VALUES (32, 'Dschibuti');
INSERT INTO geburtsland_tbl (id, value) VALUES (33, 'Dänemark');
INSERT INTO geburtsland_tbl (id, value) VALUES (34, 'Ecuador');
INSERT INTO geburtsland_tbl (id, value) VALUES (35, 'El Salvador');
INSERT INTO geburtsland_tbl (id, value) VALUES (36, 'Côte d''Ivoire');
INSERT INTO geburtsland_tbl (id, value) VALUES (37, 'Eritrea');
INSERT INTO geburtsland_tbl (id, value) VALUES (38, 'Estland');
INSERT INTO geburtsland_tbl (id, value) VALUES (39, 'Fidschi');
INSERT INTO geburtsland_tbl (id, value) VALUES (40, 'Finnland');
INSERT INTO geburtsland_tbl (id, value) VALUES (41, 'Frankreich');
INSERT INTO geburtsland_tbl (id, value) VALUES (42, 'Gabun');
INSERT INTO geburtsland_tbl (id, value) VALUES (43, 'Gambia');
INSERT INTO geburtsland_tbl (id, value) VALUES (44, 'Georgien');
INSERT INTO geburtsland_tbl (id, value) VALUES (45, 'Ghana');
INSERT INTO geburtsland_tbl (id, value) VALUES (46, 'Grenada');
INSERT INTO geburtsland_tbl (id, value) VALUES (47, 'Griechenland');
INSERT INTO geburtsland_tbl (id, value) VALUES (48, 'Großbritannien / Vereinigtes Königreich');
INSERT INTO geburtsland_tbl (id, value) VALUES (49, 'Guatemala');
INSERT INTO geburtsland_tbl (id, value) VALUES (50, 'Guinea');
INSERT INTO geburtsland_tbl (id, value) VALUES (51, 'Guinea-Bissau');
INSERT INTO geburtsland_tbl (id, value) VALUES (52, 'Guyana');
INSERT INTO geburtsland_tbl (id, value) VALUES (53, 'Haiti');
INSERT INTO geburtsland_tbl (id, value) VALUES (54, 'Honduras');
INSERT INTO geburtsland_tbl (id, value) VALUES (55, 'Indien');
INSERT INTO geburtsland_tbl (id, value) VALUES (56, 'Indonesien');
INSERT INTO geburtsland_tbl (id, value) VALUES (57, 'Irak');
INSERT INTO geburtsland_tbl (id, value) VALUES (58, 'Iran');
INSERT INTO geburtsland_tbl (id, value) VALUES (59, 'Irland');
INSERT INTO geburtsland_tbl (id, value) VALUES (60, 'Island');
INSERT INTO geburtsland_tbl (id, value) VALUES (61, 'Israel');
INSERT INTO geburtsland_tbl (id, value) VALUES (62, 'Italien');
INSERT INTO geburtsland_tbl (id, value) VALUES (63, 'Jamaika');
INSERT INTO geburtsland_tbl (id, value) VALUES (64, 'Japan');
INSERT INTO geburtsland_tbl (id, value) VALUES (65, 'Jemen');
INSERT INTO geburtsland_tbl (id, value) VALUES (66, 'Jordanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (67, 'Kambodscha');
INSERT INTO geburtsland_tbl (id, value) VALUES (68, 'Kamerun');
INSERT INTO geburtsland_tbl (id, value) VALUES (69, 'Kanada');
INSERT INTO geburtsland_tbl (id, value) VALUES (70, 'Kap Verde');
INSERT INTO geburtsland_tbl (id, value) VALUES (71, 'Kasachstan');
INSERT INTO geburtsland_tbl (id, value) VALUES (72, 'Katar');
INSERT INTO geburtsland_tbl (id, value) VALUES (73, 'Kenia');
INSERT INTO geburtsland_tbl (id, value) VALUES (74, 'Kirgisistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (75, 'Kiribati');
INSERT INTO geburtsland_tbl (id, value) VALUES (76, 'Kolumbien');
INSERT INTO geburtsland_tbl (id, value) VALUES (77, 'Komoren');
INSERT INTO geburtsland_tbl (id, value) VALUES (78, 'Kongo (Demokratische Republik Kongo)');
INSERT INTO geburtsland_tbl (id, value) VALUES (79, 'Kongo (Republik Kongo)');
INSERT INTO geburtsland_tbl (id, value) VALUES (80, 'Korea (Demokratische Volksrepublik, Nordkorea)');
INSERT INTO geburtsland_tbl (id, value) VALUES (81, 'Korea, (Republik Korea, Südkorea)');
INSERT INTO geburtsland_tbl (id, value) VALUES (82, 'Kroatien');
INSERT INTO geburtsland_tbl (id, value) VALUES (83, 'Kuba');
INSERT INTO geburtsland_tbl (id, value) VALUES (84, 'Kuwait');
INSERT INTO geburtsland_tbl (id, value) VALUES (85, 'Laos');
INSERT INTO geburtsland_tbl (id, value) VALUES (86, 'Lesotho');
INSERT INTO geburtsland_tbl (id, value) VALUES (87, 'Lettland');
INSERT INTO geburtsland_tbl (id, value) VALUES (88, 'Libanon');
INSERT INTO geburtsland_tbl (id, value) VALUES (89, 'Liberia');
INSERT INTO geburtsland_tbl (id, value) VALUES (90, 'Libyen');
INSERT INTO geburtsland_tbl (id, value) VALUES (91, 'Liechtenstein');
INSERT INTO geburtsland_tbl (id, value) VALUES (92, 'Litauen');
INSERT INTO geburtsland_tbl (id, value) VALUES (93, 'Luxemburg');
INSERT INTO geburtsland_tbl (id, value) VALUES (94, 'Madagaskar');
INSERT INTO geburtsland_tbl (id, value) VALUES (95, 'Malawi');
INSERT INTO geburtsland_tbl (id, value) VALUES (96, 'Malaysia');
INSERT INTO geburtsland_tbl (id, value) VALUES (97, 'Malediven');
INSERT INTO geburtsland_tbl (id, value) VALUES (98, 'Mali');
INSERT INTO geburtsland_tbl (id, value) VALUES (99, 'Malta');
INSERT INTO geburtsland_tbl (id, value) VALUES (100, 'Marokko');
INSERT INTO geburtsland_tbl (id, value) VALUES (101, 'Marshallinseln');
INSERT INTO geburtsland_tbl (id, value) VALUES (102, 'Mauretanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (103, 'Mauritius');
INSERT INTO geburtsland_tbl (id, value) VALUES (104, 'Ehemalige jugoslawische Republik Mazedonien');
INSERT INTO geburtsland_tbl (id, value) VALUES (105, 'Mexiko');
INSERT INTO geburtsland_tbl (id, value) VALUES (106, 'Mikronesien');
INSERT INTO geburtsland_tbl (id, value) VALUES (107, 'Republik Moldau');
INSERT INTO geburtsland_tbl (id, value) VALUES (108, 'Monaco');
INSERT INTO geburtsland_tbl (id, value) VALUES (109, 'Mongolei');
INSERT INTO geburtsland_tbl (id, value) VALUES (110, 'Montenegro');
INSERT INTO geburtsland_tbl (id, value) VALUES (111, 'Mosambik');
INSERT INTO geburtsland_tbl (id, value) VALUES (112, 'Myanmar');
INSERT INTO geburtsland_tbl (id, value) VALUES (113, 'Namibia');
INSERT INTO geburtsland_tbl (id, value) VALUES (114, 'Nauru');
INSERT INTO geburtsland_tbl (id, value) VALUES (115, 'Nepal');
INSERT INTO geburtsland_tbl (id, value) VALUES (116, 'Neuseeland');
INSERT INTO geburtsland_tbl (id, value) VALUES (117, 'Nicaragua');
INSERT INTO geburtsland_tbl (id, value) VALUES (118, 'Niederlande');
INSERT INTO geburtsland_tbl (id, value) VALUES (119, 'Niger');
INSERT INTO geburtsland_tbl (id, value) VALUES (120, 'Nigeria');
INSERT INTO geburtsland_tbl (id, value) VALUES (121, 'Norwegen');
INSERT INTO geburtsland_tbl (id, value) VALUES (122, 'Oman');
INSERT INTO geburtsland_tbl (id, value) VALUES (123, 'Timor-Leste');
INSERT INTO geburtsland_tbl (id, value) VALUES (124, 'Pakistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (125, 'Palau');
INSERT INTO geburtsland_tbl (id, value) VALUES (126, 'Panama');
INSERT INTO geburtsland_tbl (id, value) VALUES (127, 'Papua-Neuguinea');
INSERT INTO geburtsland_tbl (id, value) VALUES (128, 'Paraguay');
INSERT INTO geburtsland_tbl (id, value) VALUES (129, 'Peru');
INSERT INTO geburtsland_tbl (id, value) VALUES (130, 'Philippinen');
INSERT INTO geburtsland_tbl (id, value) VALUES (131, 'Polen');
INSERT INTO geburtsland_tbl (id, value) VALUES (132, 'Portugal');
INSERT INTO geburtsland_tbl (id, value) VALUES (133, 'Ruanda');
INSERT INTO geburtsland_tbl (id, value) VALUES (134, 'Rumänien');
INSERT INTO geburtsland_tbl (id, value) VALUES (135, 'Russische Föderation');
INSERT INTO geburtsland_tbl (id, value) VALUES (136, 'Salomonen');
INSERT INTO geburtsland_tbl (id, value) VALUES (137, 'Sambia');
INSERT INTO geburtsland_tbl (id, value) VALUES (138, 'Samoa');
INSERT INTO geburtsland_tbl (id, value) VALUES (139, 'San Marino');
INSERT INTO geburtsland_tbl (id, value) VALUES (140, 'Saudi-Arabien');
INSERT INTO geburtsland_tbl (id, value) VALUES (141, 'Schweden');
INSERT INTO geburtsland_tbl (id, value) VALUES (142, 'Schweiz');
INSERT INTO geburtsland_tbl (id, value) VALUES (143, 'Senegal');
INSERT INTO geburtsland_tbl (id, value) VALUES (144, 'Serbien');
INSERT INTO geburtsland_tbl (id, value) VALUES (145, 'Seychellen');
INSERT INTO geburtsland_tbl (id, value) VALUES (146, 'Sierra Leone');
INSERT INTO geburtsland_tbl (id, value) VALUES (147, 'Simbabwe');
INSERT INTO geburtsland_tbl (id, value) VALUES (148, 'Singapur');
INSERT INTO geburtsland_tbl (id, value) VALUES (149, 'Slowakei');
INSERT INTO geburtsland_tbl (id, value) VALUES (150, 'Slowenien');
INSERT INTO geburtsland_tbl (id, value) VALUES (151, 'Somalia');
INSERT INTO geburtsland_tbl (id, value) VALUES (152, 'Spanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (153, 'Sri Lanka');
INSERT INTO geburtsland_tbl (id, value) VALUES (154, 'St. Kitts und Nevis');
INSERT INTO geburtsland_tbl (id, value) VALUES (155, 'St. Lucia');
INSERT INTO geburtsland_tbl (id, value) VALUES (156, 'St. Vincent und die Grenadinen');
INSERT INTO geburtsland_tbl (id, value) VALUES (157, 'Sudan');
INSERT INTO geburtsland_tbl (id, value) VALUES (158, 'Suriname');
INSERT INTO geburtsland_tbl (id, value) VALUES (159, 'Swasiland');
INSERT INTO geburtsland_tbl (id, value) VALUES (160, 'Syrien');
INSERT INTO geburtsland_tbl (id, value) VALUES (161, 'São Tomé und Príncipe');
INSERT INTO geburtsland_tbl (id, value) VALUES (162, 'Südafrika');
INSERT INTO geburtsland_tbl (id, value) VALUES (163, 'Tadschikistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (164, 'Tansania');
INSERT INTO geburtsland_tbl (id, value) VALUES (165, 'Thailand');
INSERT INTO geburtsland_tbl (id, value) VALUES (166, 'Togo');
INSERT INTO geburtsland_tbl (id, value) VALUES (167, 'Tonga');
INSERT INTO geburtsland_tbl (id, value) VALUES (168, 'Trinidad und Tobago');
INSERT INTO geburtsland_tbl (id, value) VALUES (169, 'Tschad');
INSERT INTO geburtsland_tbl (id, value) VALUES (170, 'Tschechische Republik');
INSERT INTO geburtsland_tbl (id, value) VALUES (171, 'Tunesien');
INSERT INTO geburtsland_tbl (id, value) VALUES (172, 'Turkmenistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (173, 'Tuvalu');
INSERT INTO geburtsland_tbl (id, value) VALUES (174, 'Türkei');
INSERT INTO geburtsland_tbl (id, value) VALUES (175, 'Uganda');
INSERT INTO geburtsland_tbl (id, value) VALUES (176, 'Ukraine');
INSERT INTO geburtsland_tbl (id, value) VALUES (177, 'Ungarn');
INSERT INTO geburtsland_tbl (id, value) VALUES (178, 'Uruguay');
INSERT INTO geburtsland_tbl (id, value) VALUES (179, 'Usbekistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (180, 'Vanuatu');
INSERT INTO geburtsland_tbl (id, value) VALUES (181, 'Vatikan / Heiliger Stuhl');
INSERT INTO geburtsland_tbl (id, value) VALUES (182, 'Venezuela');
INSERT INTO geburtsland_tbl (id, value) VALUES (183, 'Vereinigte Arabische Emirate');
INSERT INTO geburtsland_tbl (id, value) VALUES (184, 'Vereinigte Staaten von Amerika');
INSERT INTO geburtsland_tbl (id, value) VALUES (185, 'Vietnam');
INSERT INTO geburtsland_tbl (id, value) VALUES (186, 'Weißrussland / Belarus');
INSERT INTO geburtsland_tbl (id, value) VALUES (187, 'Zentralafrikanische Republik');
INSERT INTO geburtsland_tbl (id, value) VALUES (188, 'Zypern');
INSERT INTO geburtsland_tbl (id, value) VALUES (189, 'Ägypten');
INSERT INTO geburtsland_tbl (id, value) VALUES (190, 'Äquatorialguinea');
INSERT INTO geburtsland_tbl (id, value) VALUES (191, 'Äthiopien');
INSERT INTO geburtsland_tbl (id, value) VALUES (192, 'Österreich');
INSERT INTO geburtsland_tbl (id, value) VALUES (193, 'Cookinseln');
INSERT INTO geburtsland_tbl (id, value) VALUES (194, 'Hongkong');
INSERT INTO geburtsland_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO geburtsland_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO geburtsland_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO geburtsland_tbl (id, value) VALUES (198, 'Taiwan');

INSERT INTO weitergabe_an_dritte_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO weitergabe_an_dritte_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO weitergabe_an_dritte_tbl (id, value) VALUES (1, 'Ja');

INSERT INTO inst_art_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO inst_art_tbl (id, value) VALUES (-2, 'Sonstige');
INSERT INTO inst_art_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO inst_art_tbl (id, value) VALUES (1, 'Arbeitsagentur');
INSERT INTO inst_art_tbl (id, value) VALUES (2, 'Jugendamt');
INSERT INTO inst_art_tbl (id, value) VALUES (3, 'Gesundheitsamt');
INSERT INTO inst_art_tbl (id, value) VALUES (4, 'Wohnungsamt');
INSERT INTO inst_art_tbl (id, value) VALUES (5, 'Ordnungsamt / Ausländerbehörde');
INSERT INTO inst_art_tbl (id, value) VALUES (6, 'Versorgungsamt');
INSERT INTO inst_art_tbl (id, value) VALUES (7, 'Sozialamt');
INSERT INTO inst_art_tbl (id, value) VALUES (8, 'Schuldnerberatung');
INSERT INTO inst_art_tbl (id, value) VALUES (9, 'Bewährungshilfe');
INSERT INTO inst_art_tbl (id, value) VALUES (10, 'Erziehungsberechtigte / Familienangehörige');
INSERT INTO inst_art_tbl (id, value) VALUES (11, 'Schule');
INSERT INTO inst_art_tbl (id, value) VALUES (12, 'Bildungsträger');
INSERT INTO inst_art_tbl (id, value) VALUES (13, 'Betrieb');
INSERT INTO inst_art_tbl (id, value) VALUES (14, 'Beschäftigungsträger');
INSERT INTO inst_art_tbl (id, value) VALUES (15, 'Sucht / Drogenberatung');
INSERT INTO inst_art_tbl (id, value) VALUES (16, 'ASD');
INSERT INTO inst_art_tbl (id, value) VALUES (17, 'Frauenhaus / Zufluchtswohnung');
INSERT INTO inst_art_tbl (id, value) VALUES (18, 'JobCenter');
INSERT INTO inst_art_tbl (id, value) VALUES (19, 'Integrationskursträger');
INSERT INTO inst_art_tbl (id, value) VALUES (20, 'Beratungsstellen');
INSERT INTO inst_art_tbl (id, value) VALUES (21, 'Kommunales Integrationszentrum');

INSERT INTO wohnsituation_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO wohnsituation_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO wohnsituation_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO wohnsituation_tbl (id, value) VALUES (1, 'im elterlichen Haushalt');
INSERT INTO wohnsituation_tbl (id, value) VALUES (2, 'bei Geschwistern');
INSERT INTO wohnsituation_tbl (id, value) VALUES (3, 'bei anderen Verwandten');
INSERT INTO wohnsituation_tbl (id, value) VALUES (4, 'bei Eltern von Partner/in');
INSERT INTO wohnsituation_tbl (id, value) VALUES (5, 'bei Freunden / Bekannten');
INSERT INTO wohnsituation_tbl (id, value) VALUES (6, 'in eigener Wohnung');
INSERT INTO wohnsituation_tbl (id, value) VALUES (7, 'in eigener Wohnung mit Partner/in');
INSERT INTO wohnsituation_tbl (id, value) VALUES (8, 'in Wohnung von Partner/in');
INSERT INTO wohnsituation_tbl (id, value) VALUES (9, 'in Wohngemeinschaft');
INSERT INTO wohnsituation_tbl (id, value) VALUES (10, 'in Wohnheim / Internat');
INSERT INTO wohnsituation_tbl (id, value) VALUES (11, 'betreute Wohnform');
INSERT INTO wohnsituation_tbl (id, value) VALUES (12, 'wohnungslos / auf der Straße');
INSERT INTO wohnsituation_tbl (id, value) VALUES (13, 'Pflegefamilie');
INSERT INTO wohnsituation_tbl (id, value) VALUES (14, 'in Eigentum lebend');

INSERT INTO war_bereits_kunde_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO war_bereits_kunde_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO war_bereits_kunde_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO war_bereits_kunde_tbl (id, value) VALUES (1, 'Ja');

INSERT INTO art_begleitung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_begleitung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_begleitung_tbl (id, value) VALUES (0, 'der Beratung');
INSERT INTO art_begleitung_tbl (id, value) VALUES (1, 'des Case Managements');

INSERT INTO zugang_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO zugang_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO zugang_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO zugang_tbl (id, value) VALUES (1, 'Eigenständiger Zugang');
INSERT INTO zugang_tbl (id, value) VALUES (2, 'Familie / Eltern');
INSERT INTO zugang_tbl (id, value) VALUES (3, 'Verwandte');
INSERT INTO zugang_tbl (id, value) VALUES (4, 'Freunde');
INSERT INTO zugang_tbl (id, value) VALUES (5, 'andere Menschen aus dem sozialen Umfeld des jungen Menschen');
INSERT INTO zugang_tbl (id, value) VALUES (6, 'Agentur für Arbeit');
INSERT INTO zugang_tbl (id, value) VALUES (8, 'Jugendamt');
INSERT INTO zugang_tbl (id, value) VALUES (9, 'Jugendhilfeeinrichtung');
INSERT INTO zugang_tbl (id, value) VALUES (10, 'aufsuchende Arbeit');
INSERT INTO zugang_tbl (id, value) VALUES (11, 'Bildungsträger');
INSERT INTO zugang_tbl (id, value) VALUES (12, 'Beratungsstelle');
INSERT INTO zugang_tbl (id, value) VALUES (13, 'Unternehmen');
INSERT INTO zugang_tbl (id, value) VALUES (14, '(alt) Schulverweigerung -  die 2. Chance');
INSERT INTO zugang_tbl (id, value) VALUES (15, '(alt) Kompetenzagentur');
INSERT INTO zugang_tbl (id, value) VALUES (16, 'anderer JMD');
INSERT INTO zugang_tbl (id, value) VALUES (17, '(alt) STÄRKEN vor Ort');
INSERT INTO zugang_tbl (id, value) VALUES (18, 'Bewährungshilfe / Jugendgerichtshilfe');
INSERT INTO zugang_tbl (id, value) VALUES (19, 'allgemeinbildende Schule');
INSERT INTO zugang_tbl (id, value) VALUES (20, 'andere Schule');
INSERT INTO zugang_tbl (id, value) VALUES (21, 'Öffentlichkeitsarbeit');
INSERT INTO zugang_tbl (id, value) VALUES (22, 'Ausländeramt');
INSERT INTO zugang_tbl (id, value) VALUES (23, 'Sprachkursträger');
INSERT INTO zugang_tbl (id, value) VALUES (24, 'Sozialamt');
INSERT INTO zugang_tbl (id, value) VALUES (25, 'Frauenhaus / Zufluchtswohnung');
INSERT INTO zugang_tbl (id, value) VALUES (26, 'Migrationsberatung für Erwachsene');
INSERT INTO zugang_tbl (id, value) VALUES (27, 'Migrantenorganisation');
INSERT INTO zugang_tbl (id, value) VALUES (28, 'Integrationskursträger');
INSERT INTO zugang_tbl (id, value) VALUES (29, 'JobCenter');
INSERT INTO zugang_tbl (id, value) VALUES (30, 'Bildungsberatung GF-H');
INSERT INTO zugang_tbl (id, value) VALUES (31, 'JMD Onlineberatung');
INSERT INTO zugang_tbl (id, value) VALUES (32, 'virtuelle soziale Netzwerke');
INSERT INTO zugang_tbl (id, value) VALUES (33, 'Telefonische Beratung');
INSERT INTO zugang_tbl (id, value) VALUES (34, 'JUGEND STÄRKEN im Quartier (JUSTiQ)');
INSERT INTO zugang_tbl (id, value) VALUES (35, 'Jugendberufsagentur');
INSERT INTO zugang_tbl (id, value) VALUES (36, 'Asylberatung / Flüchtlings(sozial)beratung');
INSERT INTO zugang_tbl (id, value) VALUES (37, 'Landesspezifische Beratungsstelle');
INSERT INTO zugang_tbl (id, value) VALUES (38, 'Gemeinschaftsunterkunft');
INSERT INTO zugang_tbl (id, value) VALUES (39, 'JUGEND STÄRKEN: 1000 Chancen (Wirtschaftsjunioren)');
INSERT INTO zugang_tbl (id, value) VALUES (40, 'JMD im Quartier');

INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (1, 'Ausländer/in in der 1. Generation');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (2, 'Ausländer/in in der 2. Generation');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (4, 'zugewanderte/r Deutsche/r mit Migrationshintergrund');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (5, 'nicht zugewanderte/r Deutsche/r mit Migrationshintergrund');

INSERT INTO geschlecht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO geschlecht_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO geschlecht_tbl (id, value) VALUES (0, 'weiblich');
INSERT INTO geschlecht_tbl (id, value) VALUES (1, 'männlich');

INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (0, 'Ankunftsnachweis/BüMA');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (1, 'Aufenthaltsgestattung');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (2, 'Duldung');
INSERT INTO aufenthaltspapier_tbl (id, value) VALUES (3, 'Aufenthaltserlaubnis');

INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (-4, 'Unbekannt (Altdaten)');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (0, 'Ankunftsnachweis/BüMA');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (1, 'Aufenthaltsgestattung');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (2, 'Duldung');
INSERT INTO aufenthaltspapier_eintritt_tbl (id, value) VALUES (3, 'Aufenthaltserlaubnis');

INSERT INTO zielgruppe_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO zielgruppe_tbl (id, value) VALUES (0, 'JMD');
INSERT INTO zielgruppe_tbl (id, value) VALUES (1, 'jmd2start');

INSERT INTO phase_tbl (id, value) VALUES (-1, 'Unbekannt');
INSERT INTO phase_tbl (id, value) VALUES (0, 'Eingangsdaten läuft');
INSERT INTO phase_tbl (id, value) VALUES (1, 'Eingangsdaten beendet');
INSERT INTO phase_tbl (id, value) VALUES (2, 'CM läuft');
INSERT INTO phase_tbl (id, value) VALUES (3, 'CM beendet');
INSERT INTO phase_tbl (id, value) VALUES (4, 'Beratung läuft');
INSERT INTO phase_tbl (id, value) VALUES (5, 'Beratung beendet');

INSERT INTO einwilligung_tbl (id, value) VALUES (-1, 'Liegt noch nicht vor / unklar');
INSERT INTO einwilligung_tbl (id, value) VALUES (0, 'Liegt nicht vor');
INSERT INTO einwilligung_tbl (id, value) VALUES (1, 'Liegt vor');

-- -- --
-- -- -- END Autogenerated CREATE part of sql statements
-- -- --
-- -- --


CREATE TABLE status_tbl (
	id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(256) NOT NULL
);

CREATE TABLE ka_status_tbl (
	id        INTEGER PRIMARY KEY NOT NULL,
	master_id INTEGER REFERENCES master_tbl(id) ON DELETE CASCADE,
	status    INTEGER DEFAULT 1 NOT NULL REFERENCES status_tbl(id),
	zugriff   timestamp,
    erstellt  timestamp,
	anonymisiert timestamp
);

INSERT INTO status_tbl (id, value) VALUES (1, 'offen');
INSERT INTO status_tbl (id, value) VALUES (2, 'geschlossen');
INSERT INTO status_tbl (id, value) VALUES (3, 'schwebend gelöscht');
INSERT INTO status_tbl (id, value) VALUES (4, 'schwebend anonymisiert');
INSERT INTO status_tbl (id, value) VALUES (5, 'anonymisiert');


CREATE TABLE tags (
    id          INTEGER PRIMARY KEY NOT NULL,
    label       VARCHAR(256) NOT NULL,
    description TEXT,
    systemtag   BOOLEAN DEFAULT TRUE
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --


-- -- --
-- -- -- END Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --

CREATE TABLE nm_tags_cases ( 
    id        INTEGER PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL REFERENCES master_tbl(id) ON DELETE CASCADE,
    tag_id    INTEGER NOT NULL REFERENCES tags(id),
    created   TIMESTAMP,
    UNIQUE (master_id, tag_id)
);

CREATE TABLE ka_logbuch_typ_tbl (
    id         SERIAL NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_typ_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (0, 'nicht aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (1, 'aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');

CREATE TABLE ka_logbuch_art_tbl (
    id         INTEGER NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_art_tbl_pkey PRIMARY KEY (id)
);

-- special entries
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (0, 'Automatischer Eintrag');
-- unmittelbare Arbeit mit dem jungen Menschen
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (1, 'Gespräch mit dem jungen Menschen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (2, 'Kompetenzfeststellung');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (3, 'Korrespondenz mit dem jungen Menschen (Telefonate/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (4, 'Begleitung des jungen Menschen zu externen Stellen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (5, 'Sonstige Betreuung des jungen Menschen');
-- Arbeit mit Eltern/Personensorgeberechtigten
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (6, 'Gespräch mit Eltern/Personensorgeberechtigten');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (7, 'Korrespondenz mit Eltern/Personensorgeberechtigten (Telefonat/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (8, 'Sonstige Maßnahmen der Elternarbeit');
-- Arbeit mit Angehörigen/Dritten
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (12, 'Gespräch mit beteiligten Dritten/Kooperationspartnern');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (13, 'Korrespondenz mit beteiligten Dritten/Kooperationspartnern (Telefonat/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (14, 'Förder bzw. Fallkonferenz');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (19, 'Arbeit mit Ehefrau/Ehemann');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (20, 'Arbeit mit Familie');
-- Sonstiges
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (15, 'Fahrtwege');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (16, 'Dokumentation i-mpuls JMD');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (17, 'Teambesprechung');

-- NOTE: The following entry (18) is not in the configuration files!
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (18, 'Gespräch mit Mitarbeiter/-innen der Jugendhilfe');

INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (-2, 'sonstige Angaben');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');

CREATE TABLE ka_logbuch_tbl (
    id         INTEGER NOT NULL,
    master_id  int4 REFERENCES master_tbl(id)         ON DELETE CASCADE,
    datum      TIMESTAMP,
    bearbeiter VARCHAR(256),
    art        int4 REFERENCES ka_logbuch_art_tbl(id) ON DELETE SET DEFAULT,
    typ        int4 REFERENCES ka_logbuch_typ_tbl(id) ON DELETE SET DEFAULT,
    kurz_notiz VARCHAR(256),
    notiz      text,
    dauer      interval,
    CONSTRAINT ka_logbuch_tbl_pkey PRIMARY KEY (id)
);

-- -- --
-- -- -- START Autogenerated INSERT part of sql statements
-- -- -- 
-- -- --

-- -- --
-- -- --
-- -- -- END Autogenerated INSERT part of sql statements
-- -- -- 

COMMIT;
