BEGIN;

-- 1.0pre6 -> jmd-1.0pre7
-- Änderung der master_tbl_view so das für den Wert datum_ea_ende der kleinere
-- Wert der Felder datum_cm_start und datum_ber_start geliefert wird.

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('jmd-1.0pre7/99-mastertableview.sql', current_timestamp);

DROP VIEW master_tbl_view CASCADE;

CREATE OR REPLACE VIEW master_tbl_view AS
    SELECT master_tbl.id,
 master_tbl.uuid_id,
 master_tbl.bearbeiter_id,
 master_tbl.fkz,
 master_tbl.phase,
 master_tbl.jmd_name,
 master_tbl.mitarbeiter_name,
 master_tbl.mitarbeiter_vorname,
 master_tbl.datum_ea_start,
 master_tbl.zugang,
 master_tbl.nennung_zugang,
 master_tbl.war_bereits_kunde,
 master_tbl.nennung_einrichtung_cm,
 master_tbl.einwilligung,
 master_tbl.weitergabe_an_dritte,
 master_tbl.kooperation_mit_dritten,
 master_tbl.art_begleitung,
 LEAST(master_tbl.datum_ber_start, master_tbl.datum_cm_start) AS datum_ea_ende,
 master_tbl.datum_cm_start,
 master_tbl.datum_ber_start,
 master_tbl.datum_ber_ende,
 master_tbl.name,
 master_tbl.vorname,
 master_tbl.geburtsname,
 master_tbl.name_vor_einbuergerung,
 master_tbl.geburtsdatum,
 master_tbl.geschlecht,
 master_tbl.geburtsland,
 master_tbl.geburtsland_nennung,
 master_tbl.geburtsort,
 master_tbl.fuehrerschein,
 master_tbl.familienstand,
 master_tbl.alleinerziehend,
 master_tbl.anzahl_geschwister,
 master_tbl.staatsangehoerigkeit,
 master_tbl.staatsangehoerigkeit_nennung,
 master_tbl.staatsangehoerigkeit_weitere,
 master_tbl.staatsangehoerigkeit_weitere_nennung,
 master_tbl.einreisedatum,
 master_tbl.aufenthaltsstatus,
 master_tbl.angaben_aufenthaltsstatus,
 master_tbl.muttersprache,
 master_tbl.muttersprache_nennung,
 master_tbl.sprache_zuhause,
 master_tbl.sprache_zuhause_nennung,
 master_tbl.mutter_geburtsland,
 master_tbl.vater_geburtsland,
 master_tbl.wohnsituation,
 master_tbl.bezugsperson_a,
 master_tbl.bezugsperson_b,
 master_tbl.bezugsperson_c,
 master_tbl.bezugsperson_d,
 master_tbl.bezugsperson_e,
 master_tbl.bezugsperson_s,
 master_tbl.bezugsperson_f,
 master_tbl.bezugsperson_g,
 master_tbl.bezugsperson_h,
 master_tbl.bezugsperson_i,
 master_tbl.bezugsperson_j,
 master_tbl.bezugsperson_k,
 master_tbl.bezugsperson_l,
 master_tbl.bezugsperson_m,
 master_tbl.bezugsperson_n,
 master_tbl.bezugsperson_o,
 master_tbl.bezugsperson_p,
 master_tbl.bezugsperson_q,
 master_tbl.bezugsperson_r,
 master_tbl.bezugsperson_weitere_angaben,
 master_tbl.zugeh_a,
 master_tbl.zugeh_b,
 master_tbl.zugeh_c,
 master_tbl.zugeh_d,
 master_tbl.zugeh_e,
 master_tbl.soz_engagement,
 master_tbl.hobbies,
 master_tbl.einkommen_familie,
 master_tbl.einkommen_jugendlicher,
 master_tbl.geldmittel,
 master_tbl.schulden,
 master_tbl.schulden_beratung,
 master_tbl.psychische_beeintraechtigung,
 master_tbl.physische_beeintraechtugung,
 master_tbl.sucht,
 master_tbl.aktuelle_situation,
 master_tbl.aktuelle_situation_nennung,
 master_tbl.aktuelle_schule,
 master_tbl.aktuelle_schule_klassenstufe,
 master_tbl.aktueller_beruf,
 master_tbl.aktueller_beruf_ausbildungsjahr,
 master_tbl.aktuelle_massnahme_art,
 master_tbl.aktuelle_massnahme_art_nennung,
 master_tbl.aktuelle_massnahme,
 master_tbl.aktuelle_massnahme_beginn,
 master_tbl.aktuelle_massnahme_dauer,
 master_tbl.aktuelle_taetigkeit,
 master_tbl.aktuelle_taetigkeit_datum_seit,
 master_tbl.aktuelle_arbeitslosigkeit_seit,
 master_tbl.aktuelle_elternzeit_seit,
 master_tbl.aktueller_zivildienst_seit,
 master_tbl.hoechster_schulabschluss,
 master_tbl.hoechster_schulabschluss_nennung,
 master_tbl.hoechster_schulabschluss_ausland,
 master_tbl.hoechster_schulabschluss_ausland_anerkannt,
 master_tbl.hoechster_schulabschluss_ausland_land,
 master_tbl.hoechster_berufsabschluss,
 master_tbl.hoechster_berufsabschluss_nennung,
 master_tbl.hoechster_berufsabschluss_ausland,
 master_tbl.hoechster_berufsabschluss_ausland_anerkannt,
 master_tbl.hoechster_berufsabschluss_ausland_land,
 master_tbl.integrationskurs,
 master_tbl.datum_integrationskurs_ende,
 master_tbl.kompetenzfeststellung,
 master_tbl.kf_verfahren_nennung,
 master_tbl.kf_verfahren,
 master_tbl.kf_erg_natur_a,
 master_tbl.kf_erg_natur_b,
 master_tbl.kf_erg_natur_c,
 master_tbl.kf_erg_natur_d,
 master_tbl.kf_erg_natur_e,
 master_tbl.kf_erg_medien_a,
 master_tbl.kf_erg_medien_b,
 master_tbl.kf_erg_medien_c,
 master_tbl.kf_erg_medien_d,
 master_tbl.kf_erg_medien_e,
 master_tbl.kf_erg_handwerk_a,
 master_tbl.kf_erg_handwerk_b,
 master_tbl.kf_erg_handwerk_c,
 master_tbl.kf_erg_handwerk_d,
 master_tbl.kf_erg_methode_a,
 master_tbl.kf_erg_methode_b,
 master_tbl.kf_erg_methode_c,
 master_tbl.kf_erg_methode_d,
 master_tbl.kf_erg_methode_e,
 master_tbl.kf_erg_methode_f,
 master_tbl.kf_erg_methode_g,
 master_tbl.kf_erg_deutsch_a,
 master_tbl.kf_erg_deutsch_b,
 master_tbl.kf_erg_deutsch_c,
 master_tbl.kf_erg_deutsch_d,
 master_tbl.kf_erg_sozial_a,
 master_tbl.kf_erg_sozial_b,
 master_tbl.kf_erg_sozial_c,
 master_tbl.kf_erg_sozial_d,
 master_tbl.kf_erg_sozial_e,
 master_tbl.kf_erg_sozial_f,
 master_tbl.kf_erg_sozial_g,
 master_tbl.kf_erg_sozial_h,
 master_tbl.kf_erg_sozial_i,
 master_tbl.kf_erg_sozial_j,
 master_tbl.kf_erg_selbst_a,
 master_tbl.kf_erg_selbst_b,
 master_tbl.kf_erg_selbst_c,
 master_tbl.kf_erg_selbst_d,
 master_tbl.kf_erg_selbst_e,
 master_tbl.kf_erg_selbst_f,
 master_tbl.kf_erg_selbst_g,
 master_tbl.kf_erg_selbst_h,
 master_tbl.kf_erg_selbst_i,
 master_tbl.kf_erg_selbst_j,
 master_tbl.kf_erg_selbst_k,
 master_tbl.kf_erg_leistung_a,
 master_tbl.kf_erg_leistung_b,
 master_tbl.kf_erg_leistung_c,
 master_tbl.kf_erg_leistung_d,
 master_tbl.kf_erg_leistung_e,
 master_tbl.kf_erg_leistung_f,
 master_tbl.kf_erg_leistung_g,
 master_tbl.kf_erg_leistung_h,
 master_tbl.kf_erg_leistung_i,
 master_tbl.kf_erg_leistung_j,
 master_tbl.kf_erg_leistung_k,
 master_tbl.datum_cm_ende,
 master_tbl.art_cm_ende,
 master_tbl.abbruch_durch,
 master_tbl.abbruch_durch_nennung,
 master_tbl.gruende_abbruch_cm,
 master_tbl.gruende_abbruch_cm_nennung,
 master_tbl.veraenderung_inst_einbindung,
 master_tbl.ende_inst_einbindung,
 master_tbl.ende_inst_einbindung_nennung,
 master_tbl.ziel1_erreicht,
 master_tbl.ziel2_erreicht,
 master_tbl.ziel3_erreicht,
 master_tbl.datum_verbleib_feststellung,
 master_tbl.verbleib_jugendliche,
 master_tbl.verbleib_jugendliche_sonstiges,
 master_tbl.wohnsituation_konkretisierung,
 master_tbl.anmerkungen_finanzsituation,
 master_tbl.anmerkungen_gensundsituation,
 master_tbl.weitere_angaben_schulabschluss,
 master_tbl.weitere_angaben_berufsabschluss FROM master_tbl WHERE (((master_tbl.bearbeiter_id = getuserid()) OR (master_tbl.id IN (SELECT nm.master_id FROM nm_benutzer_master_tbl nm WHERE (nm.benutzer_id IN (SELECT nm2.gruppe_id FROM nm_benutzer_gruppe_tbl nm2 WHERE (nm2.benutzer_id = getuserid())))))) OR pg_has_role('admin'::name,
 'MEMBER'::text));

CREATE OR REPLACE RULE master_tbl_update_rule AS ON UPDATE TO master_tbl_view
DO INSTEAD UPDATE master_tbl SET
    einwilligung = NEW.einwilligung,
    datum_ea_ende = NEW.datum_ea_ende,
    phase = NEW.phase,
    jmd_name = NEW.jmd_name,
    mitarbeiter_name = NEW.mitarbeiter_name,
    mitarbeiter_vorname = NEW.mitarbeiter_vorname,
    geburtsdatum = NEW.geburtsdatum,
    geschlecht = NEW.geschlecht,
    aufenthaltsstatus = NEW.aufenthaltsstatus,
    angaben_aufenthaltsstatus = NEW.angaben_aufenthaltsstatus,
    datum_ea_start = NEW.datum_ea_start,
    zugang = NEW.zugang,
    nennung_zugang = NEW.nennung_zugang,
    war_bereits_kunde = NEW.war_bereits_kunde,
    nennung_einrichtung_cm = NEW.nennung_einrichtung_cm,
    weitergabe_an_dritte = NEW.weitergabe_an_dritte,
    kooperation_mit_dritten = NEW.kooperation_mit_dritten,
    art_begleitung = NEW.art_begleitung,
    datum_cm_start = NEW.datum_cm_start,
    datum_ber_start = NEW.datum_ber_start,
    datum_ber_ende = NEW.datum_ber_ende,
    name = NEW.name,
    vorname = NEW.vorname,
    geburtsname = NEW.geburtsname,
    name_vor_einbuergerung = NEW.name_vor_einbuergerung,
    geburtsland = NEW.geburtsland,
    geburtsland_nennung = NEW.geburtsland_nennung,
    geburtsort = NEW.geburtsort,
    fuehrerschein = NEW.fuehrerschein,
    familienstand = NEW.familienstand,
    alleinerziehend = NEW.alleinerziehend,
    anzahl_geschwister = NEW.anzahl_geschwister,
    staatsangehoerigkeit = NEW.staatsangehoerigkeit,
    staatsangehoerigkeit_nennung = NEW.staatsangehoerigkeit_nennung,
    staatsangehoerigkeit_weitere = NEW.staatsangehoerigkeit_weitere,
    staatsangehoerigkeit_weitere_nennung = NEW.staatsangehoerigkeit_weitere_nennung,
    einreisedatum = NEW.einreisedatum,
    muttersprache = NEW.muttersprache,
    muttersprache_nennung = NEW.muttersprache_nennung,
    sprache_zuhause = NEW.sprache_zuhause,
    sprache_zuhause_nennung = NEW.sprache_zuhause_nennung,
    mutter_geburtsland = NEW.mutter_geburtsland,
    vater_geburtsland = NEW.vater_geburtsland,
    wohnsituation = NEW.wohnsituation,
    wohnsituation_konkretisierung = NEW.wohnsituation_konkretisierung,
    bezugsperson_a = NEW.bezugsperson_a,
    bezugsperson_b = NEW.bezugsperson_b,
    bezugsperson_c = NEW.bezugsperson_c,
    bezugsperson_d = NEW.bezugsperson_d,
    bezugsperson_e = NEW.bezugsperson_e,
    bezugsperson_s = NEW.bezugsperson_s,
    bezugsperson_f = NEW.bezugsperson_f,
    bezugsperson_g = NEW.bezugsperson_g,
    bezugsperson_h = NEW.bezugsperson_h,
    bezugsperson_i = NEW.bezugsperson_i,
    bezugsperson_j = NEW.bezugsperson_j,
    bezugsperson_k = NEW.bezugsperson_k,
    bezugsperson_l = NEW.bezugsperson_l,
    bezugsperson_m = NEW.bezugsperson_m,
    bezugsperson_n = NEW.bezugsperson_n,
    bezugsperson_o = NEW.bezugsperson_o,
    bezugsperson_p = NEW.bezugsperson_p,
    bezugsperson_q = NEW.bezugsperson_q,
    bezugsperson_r = NEW.bezugsperson_r,
    bezugsperson_weitere_angaben = NEW.bezugsperson_weitere_angaben,
    zugeh_a = NEW.zugeh_a,
    zugeh_b = NEW.zugeh_b,
    zugeh_c = NEW.zugeh_c,
    zugeh_d = NEW.zugeh_d,
    zugeh_e = NEW.zugeh_e,
    soz_engagement = NEW.soz_engagement,
    hobbies = NEW.hobbies,
    einkommen_familie = NEW.einkommen_familie,
    einkommen_jugendlicher = NEW.einkommen_jugendlicher,
    geldmittel = NEW.geldmittel,
    schulden = NEW.schulden,
    schulden_beratung = NEW.schulden_beratung,
    anmerkungen_finanzsituation = NEW.anmerkungen_finanzsituation,
    psychische_beeintraechtigung = NEW.psychische_beeintraechtigung,
    physische_beeintraechtugung = NEW.physische_beeintraechtugung,
    sucht = NEW.sucht,
    anmerkungen_gensundsituation = NEW.anmerkungen_gensundsituation,
    aktuelle_situation = NEW.aktuelle_situation,
    aktuelle_situation_nennung = NEW.aktuelle_situation_nennung,
    aktuelle_schule = NEW.aktuelle_schule,
    aktuelle_schule_klassenstufe = NEW.aktuelle_schule_klassenstufe,
    aktueller_beruf = NEW.aktueller_beruf,
    aktueller_beruf_ausbildungsjahr = NEW.aktueller_beruf_ausbildungsjahr,
    aktuelle_massnahme_art = NEW.aktuelle_massnahme_art,
    aktuelle_massnahme_art_nennung = NEW.aktuelle_massnahme_art_nennung,
    aktuelle_massnahme = NEW.aktuelle_massnahme,
    aktuelle_massnahme_beginn = NEW.aktuelle_massnahme_beginn,
    aktuelle_massnahme_dauer = NEW.aktuelle_massnahme_dauer,
    aktuelle_taetigkeit = NEW.aktuelle_taetigkeit,
    aktuelle_taetigkeit_datum_seit = NEW.aktuelle_taetigkeit_datum_seit,
    aktuelle_arbeitslosigkeit_seit = NEW.aktuelle_arbeitslosigkeit_seit,
    aktuelle_elternzeit_seit = NEW.aktuelle_elternzeit_seit,
    aktueller_zivildienst_seit = NEW.aktueller_zivildienst_seit,
    hoechster_schulabschluss = NEW.hoechster_schulabschluss,
    hoechster_schulabschluss_nennung = NEW.hoechster_schulabschluss_nennung,
    hoechster_schulabschluss_ausland = NEW.hoechster_schulabschluss_ausland,
    hoechster_schulabschluss_ausland_anerkannt = NEW.hoechster_schulabschluss_ausland_anerkannt,
    hoechster_schulabschluss_ausland_land = NEW.hoechster_schulabschluss_ausland_land,
    weitere_angaben_schulabschluss = NEW.weitere_angaben_schulabschluss,
    hoechster_berufsabschluss = NEW.hoechster_berufsabschluss,
    hoechster_berufsabschluss_nennung = NEW.hoechster_berufsabschluss_nennung,
    hoechster_berufsabschluss_ausland = NEW.hoechster_berufsabschluss_ausland,
    hoechster_berufsabschluss_ausland_anerkannt = NEW.hoechster_berufsabschluss_ausland_anerkannt,
    hoechster_berufsabschluss_ausland_land = NEW.hoechster_berufsabschluss_ausland_land,
    weitere_angaben_berufsabschluss = NEW.weitere_angaben_berufsabschluss,
    integrationskurs = NEW.integrationskurs,
    datum_integrationskurs_ende = NEW.datum_integrationskurs_ende,
    kompetenzfeststellung = NEW.kompetenzfeststellung,
    kf_verfahren_nennung = NEW.kf_verfahren_nennung,
    kf_verfahren = NEW.kf_verfahren,
    kf_erg_natur_a = NEW.kf_erg_natur_a,
    kf_erg_natur_b = NEW.kf_erg_natur_b,
    kf_erg_natur_c = NEW.kf_erg_natur_c,
    kf_erg_natur_d = NEW.kf_erg_natur_d,
    kf_erg_natur_e = NEW.kf_erg_natur_e,
    kf_erg_medien_a = NEW.kf_erg_medien_a,
    kf_erg_medien_b = NEW.kf_erg_medien_b,
    kf_erg_medien_c = NEW.kf_erg_medien_c,
    kf_erg_medien_d = NEW.kf_erg_medien_d,
    kf_erg_medien_e = NEW.kf_erg_medien_e,
    kf_erg_handwerk_a = NEW.kf_erg_handwerk_a,
    kf_erg_handwerk_b = NEW.kf_erg_handwerk_b,
    kf_erg_handwerk_c = NEW.kf_erg_handwerk_c,
    kf_erg_handwerk_d = NEW.kf_erg_handwerk_d,
    kf_erg_methode_a = NEW.kf_erg_methode_a,
    kf_erg_methode_b = NEW.kf_erg_methode_b,
    kf_erg_methode_c = NEW.kf_erg_methode_c,
    kf_erg_methode_d = NEW.kf_erg_methode_d,
    kf_erg_methode_e = NEW.kf_erg_methode_e,
    kf_erg_methode_f = NEW.kf_erg_methode_f,
    kf_erg_methode_g = NEW.kf_erg_methode_g,
    kf_erg_deutsch_a = NEW.kf_erg_deutsch_a,
    kf_erg_deutsch_b = NEW.kf_erg_deutsch_b,
    kf_erg_deutsch_c = NEW.kf_erg_deutsch_c,
    kf_erg_deutsch_d = NEW.kf_erg_deutsch_d,
    kf_erg_sozial_a = NEW.kf_erg_sozial_a,
    kf_erg_sozial_b = NEW.kf_erg_sozial_b,
    kf_erg_sozial_c = NEW.kf_erg_sozial_c,
    kf_erg_sozial_d = NEW.kf_erg_sozial_d,
    kf_erg_sozial_e = NEW.kf_erg_sozial_e,
    kf_erg_sozial_f = NEW.kf_erg_sozial_f,
    kf_erg_sozial_g = NEW.kf_erg_sozial_g,
    kf_erg_sozial_h = NEW.kf_erg_sozial_h,
    kf_erg_sozial_i = NEW.kf_erg_sozial_i,
    kf_erg_sozial_j = NEW.kf_erg_sozial_j,
    kf_erg_selbst_a = NEW.kf_erg_selbst_a,
    kf_erg_selbst_b = NEW.kf_erg_selbst_b,
    kf_erg_selbst_c = NEW.kf_erg_selbst_c,
    kf_erg_selbst_d = NEW.kf_erg_selbst_d,
    kf_erg_selbst_e = NEW.kf_erg_selbst_e,
    kf_erg_selbst_f = NEW.kf_erg_selbst_f,
    kf_erg_selbst_g = NEW.kf_erg_selbst_g,
    kf_erg_selbst_h = NEW.kf_erg_selbst_h,
    kf_erg_selbst_i = NEW.kf_erg_selbst_i,
    kf_erg_selbst_j = NEW.kf_erg_selbst_j,
    kf_erg_selbst_k = NEW.kf_erg_selbst_k,
    kf_erg_leistung_a = NEW.kf_erg_leistung_a,
    kf_erg_leistung_b = NEW.kf_erg_leistung_b,
    kf_erg_leistung_c = NEW.kf_erg_leistung_c,
    kf_erg_leistung_d = NEW.kf_erg_leistung_d,
    kf_erg_leistung_e = NEW.kf_erg_leistung_e,
    kf_erg_leistung_f = NEW.kf_erg_leistung_f,
    kf_erg_leistung_g = NEW.kf_erg_leistung_g,
    kf_erg_leistung_h = NEW.kf_erg_leistung_h,
    kf_erg_leistung_i = NEW.kf_erg_leistung_i,
    kf_erg_leistung_j = NEW.kf_erg_leistung_j,
    kf_erg_leistung_k = NEW.kf_erg_leistung_k,
    datum_cm_ende = NEW.datum_cm_ende,
    art_cm_ende = NEW.art_cm_ende,
    abbruch_durch = NEW.abbruch_durch,
    abbruch_durch_nennung = NEW.abbruch_durch_nennung,
    gruende_abbruch_cm = NEW.gruende_abbruch_cm,
    gruende_abbruch_cm_nennung = NEW.gruende_abbruch_cm_nennung,
    veraenderung_inst_einbindung = NEW.veraenderung_inst_einbindung,
    ende_inst_einbindung = NEW.ende_inst_einbindung,
    ende_inst_einbindung_nennung = NEW.ende_inst_einbindung_nennung,
    ziel1_erreicht = NEW.ziel1_erreicht,
    ziel2_erreicht = NEW.ziel2_erreicht,
    ziel3_erreicht = NEW.ziel3_erreicht,
    datum_verbleib_feststellung = NEW.datum_verbleib_feststellung,
    verbleib_jugendliche = NEW.verbleib_jugendliche,
    verbleib_jugendliche_sonstiges = NEW.verbleib_jugendliche_sonstiges
WHERE id = NEW.id;

CREATE OR REPLACE RULE master_tbl_delete_rule AS ON DELETE TO master_tbl_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE master_tbl_insert_rule AS ON INSERT TO master_tbl_view
    DO INSTEAD NOTHING;

GRANT SELECT ON master_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON master_tbl_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW master_tbl_anonym_view
AS SELECT
    id,
    uuid_id,
    bearbeiter_id,
    fkz,
    einwilligung,
    datum_ea_ende,
    phase,
    NULL::VARCHAR(60) AS jmd_name,
    NULL::VARCHAR(60) AS mitarbeiter_name,
    NULL::VARCHAR(60) AS mitarbeiter_vorname,
    geburtsdatum,
    geschlecht,
    aufenthaltsstatus,
    angaben_aufenthaltsstatus,
    datum_ea_start,
    zugang,
    nennung_zugang,
    war_bereits_kunde,
    NULL::VARCHAR(256) AS nennung_einrichtung_cm,
    weitergabe_an_dritte,
    kooperation_mit_dritten,
    art_begleitung,
    datum_cm_start,
    datum_ber_start,
    datum_ber_ende,
    NULL::VARCHAR(256) AS name,
    NULL::VARCHAR(256) AS vorname,
    NULL::VARCHAR(256) AS geburtsname,
    NULL::VARCHAR(256) AS name_vor_einbuergerung,
    geburtsland,
    NULL::VARCHAR(60) AS geburtsland_nennung,
    NULL::VARCHAR(60) AS geburtsort,
    NULL::VARCHAR(60) AS fuehrerschein,
    familienstand,
    alleinerziehend,
    anzahl_geschwister,
    staatsangehoerigkeit,
    NULL::VARCHAR(60) AS staatsangehoerigkeit_nennung,
    staatsangehoerigkeit_weitere,
    NULL::VARCHAR(60) AS staatsangehoerigkeit_weitere_nennung,
    einreisedatum,
    muttersprache,
    NULL::VARCHAR(60) AS muttersprache_nennung,
    sprache_zuhause,
    NULL::VARCHAR(60) AS sprache_zuhause_nennung,
    mutter_geburtsland,
    vater_geburtsland,
    wohnsituation,
    NULL::TEXT AS wohnsituation_konkretisierung,
    bezugsperson_a,
    bezugsperson_b,
    bezugsperson_c,
    bezugsperson_d,
    bezugsperson_e,
    bezugsperson_s,
    bezugsperson_f,
    bezugsperson_g,
    bezugsperson_h,
    bezugsperson_i,
    bezugsperson_j,
    bezugsperson_k,
    bezugsperson_l,
    bezugsperson_m,
    bezugsperson_n,
    bezugsperson_o,
    bezugsperson_p,
    bezugsperson_q,
    bezugsperson_r,
    NULL::TEXT AS bezugsperson_weitere_angaben,
    zugeh_a,
    zugeh_b,
    zugeh_c,
    zugeh_d,
    zugeh_e,
    NULL::VARCHAR(60) AS soz_engagement,
    NULL::VARCHAR(60) AS hobbies,
    einkommen_familie,
    einkommen_jugendlicher,
    geldmittel,
    schulden,
    schulden_beratung,
    NULL::TEXT AS anmerkungen_finanzsituation,
    psychische_beeintraechtigung,
    physische_beeintraechtugung,
    sucht,
    NULL::TEXT AS anmerkungen_gensundsituation,
    aktuelle_situation,
    NULL::VARCHAR(60) AS aktuelle_situation_nennung,
    aktuelle_schule,
    aktuelle_schule_klassenstufe,
    NULL::VARCHAR(60) AS aktueller_beruf,
    aktueller_beruf_ausbildungsjahr,
    aktuelle_massnahme_art,
    NULL::VARCHAR(60) AS aktuelle_massnahme_art_nennung,
    NULL::VARCHAR(60) AS aktuelle_massnahme,
    aktuelle_massnahme_beginn,
    aktuelle_massnahme_dauer,
    NULL::VARCHAR(60) AS aktuelle_taetigkeit,
    aktuelle_taetigkeit_datum_seit,
    aktuelle_arbeitslosigkeit_seit,
    aktuelle_elternzeit_seit,
    aktueller_zivildienst_seit,
    hoechster_schulabschluss,
    NULL::VARCHAR(60) AS hoechster_schulabschluss_nennung,
    NULL::VARCHAR(60) AS hoechster_schulabschluss_ausland,
    hoechster_schulabschluss_ausland_anerkannt,
    hoechster_schulabschluss_ausland_land,
    NULL::TEXT AS weitere_angaben_schulabschluss,
    hoechster_berufsabschluss,
    NULL::VARCHAR(60) AS hoechster_berufsabschluss_nennung,
    NULL::VARCHAR(60) AS hoechster_berufsabschluss_ausland,
    hoechster_berufsabschluss_ausland_anerkannt,
    hoechster_berufsabschluss_ausland_land,
    NULL::TEXT AS weitere_angaben_berufsabschluss,
    integrationskurs,
    datum_integrationskurs_ende,
    kompetenzfeststellung,
    kf_verfahren_nennung,
    kf_verfahren,
    kf_erg_natur_a,
    kf_erg_natur_b,
    kf_erg_natur_c,
    kf_erg_natur_d,
    kf_erg_natur_e,
    kf_erg_medien_a,
    kf_erg_medien_b,
    kf_erg_medien_c,
    kf_erg_medien_d,
    kf_erg_medien_e,
    kf_erg_handwerk_a,
    kf_erg_handwerk_b,
    kf_erg_handwerk_c,
    kf_erg_handwerk_d,
    kf_erg_methode_a,
    kf_erg_methode_b,
    kf_erg_methode_c,
    kf_erg_methode_d,
    kf_erg_methode_e,
    kf_erg_methode_f,
    kf_erg_methode_g,
    kf_erg_deutsch_a,
    kf_erg_deutsch_b,
    kf_erg_deutsch_c,
    kf_erg_deutsch_d,
    kf_erg_sozial_a,
    kf_erg_sozial_b,
    kf_erg_sozial_c,
    kf_erg_sozial_d,
    kf_erg_sozial_e,
    kf_erg_sozial_f,
    kf_erg_sozial_g,
    kf_erg_sozial_h,
    kf_erg_sozial_i,
    kf_erg_sozial_j,
    kf_erg_selbst_a,
    kf_erg_selbst_b,
    kf_erg_selbst_c,
    kf_erg_selbst_d,
    kf_erg_selbst_e,
    kf_erg_selbst_f,
    kf_erg_selbst_g,
    kf_erg_selbst_h,
    kf_erg_selbst_i,
    kf_erg_selbst_j,
    kf_erg_selbst_k,
    kf_erg_leistung_a,
    kf_erg_leistung_b,
    kf_erg_leistung_c,
    kf_erg_leistung_d,
    kf_erg_leistung_e,
    kf_erg_leistung_f,
    kf_erg_leistung_g,
    kf_erg_leistung_h,
    kf_erg_leistung_i,
    kf_erg_leistung_j,
    kf_erg_leistung_k,
    datum_cm_ende,
    art_cm_ende,
    abbruch_durch,
    abbruch_durch_nennung,
    gruende_abbruch_cm,
    NULL::VARCHAR(60) AS gruende_abbruch_cm_nennung,
    veraenderung_inst_einbindung,
    ende_inst_einbindung,
    NULL::VARCHAR(60) AS ende_inst_einbindung_nennung,
    ziel1_erreicht,
    ziel2_erreicht,
    ziel3_erreicht,
    datum_verbleib_feststellung,
    verbleib_jugendliche,
    NULL::VARCHAR(60) AS verbleib_jugendliche_sonstiges FROM master_tbl_view;

CREATE OR REPLACE RULE master_tbl_anonym_delete_rule AS ON DELETE TO master_tbl_anonym_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE master_tbl_anonym_insert_rule AS ON INSERT TO master_tbl_anonym_view
    DO INSTEAD NOTHING;

GRANT SELECT ON master_tbl_anonym_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_anonym_view TO GROUP :admin_group;

CREATE OR REPLACE  VIEW master_tbl_incm_view AS
    SELECT * FROM master_tbl_view
        WHERE phase IN (2,3,4,5);

GRANT SELECT ON public.master_tbl_incm_view TO :cm_group;
GRANT SELECT ON public.master_tbl_incm_view TO :admin_group;

-- Finish
SET ROLE postgres;

COMMIT;
