# -*- coding: utf-8 -*-
from mpulsweb.model.appointment import (
    MaxSaveTimeReminderOverview, GlobalAppointmentOverview,
    CaseReminderOverview, TagsReminderOverview, CaseAppointmentOverview
)

from mpulsweb.controllers.mpuls import MpulsController as MpulsMpulsController

import mpulsweb.lib.helpers as h

from jmdweb.model.appointment import (
    MaxAgeReminderOverview,
    MinAgeReminderOverview,
    JustBeforeMaxAgeReminderOverview
)


class MpulsController(MpulsMpulsController):

    def get_reminders(self):
        return get_jmd_reminders(use_trigger=True, use_done_check=True)

    def get_case_appointments(self):
        """Return the user's appointment filtered by trigger."""
        appointment_list = CaseAppointmentOverview(use_trigger=True,
                                                   use_done_check=True)
        return appointment_list

    def get_global_appointments(self):
        return GlobalAppointmentOverview(use_trigger=True, use_done_check=True)


def get_jmd_reminders(use_trigger=False, use_done_check=False):
    remindlist = MaxSaveTimeReminderOverview()
    if h.hasRole(['cm']):
        remindlist.join(CaseReminderOverview(use_trigger=use_trigger,
                                             use_done_check=use_done_check))

    if h.hasRole(['cm']):
        remindlist.join(TagsReminderOverview())

    if h.hasRole(['cm']):
        remindlist.join(MaxAgeReminderOverview())

    if h.hasRole(['cm']):
        remindlist.join(MinAgeReminderOverview())

    if h.hasRole(['cm']):
        remindlist.join(JustBeforeMaxAgeReminderOverview())

    remindlist.sort()

    return remindlist
