SET ROLE :adm_ka_owner;
BEGIN;
-- Sicht auf die Meta Tabelle

CREATE OR REPLACE VIEW ka_meta_tbl_view AS 
SELECT
	ka_meta_tbl.id,
	ka_meta_tbl.master_id,
	ka_meta_tbl.meta_uuid, 
	ka_meta_tbl.project_uuid, 
	ka_meta_tbl.sync_permission,
	ka_meta_tbl.last_upload,
	ka_meta_tbl.last_download
FROM ka_meta_tbl;

CREATE OR REPLACE RULE ka_meta_delete_rule AS ON DELETE TO 
ka_meta_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_meta_insert_rule AS ON INSERT TO 
ka_meta_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_meta_update_rule AS ON UPDATE TO ka_meta_tbl_view 
	DO INSTEAD UPDATE ka_meta_tbl SET
	meta_uuid  = new.meta_uuid,
	project_uuid  = new.project_uuid,
	sync_permission = new.sync_permission,
	last_upload = new.last_upload,
	last_download = new.last_download
WHERE id = new.id;

GRANT SELECT ON ka_meta_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON ka_meta_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_meta_tbl_view TO GROUP :admin_group;
GRANT UPDATE ON ka_meta_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW master_tbl_reportquota_view
AS SELECT
   master_tbl.id AS id,
   NOT ka_meta_tbl.meta_uuid IS NULL AS sync
FROM master_tbl JOIN ka_meta_tbl ON master_tbl.id = ka_meta_tbl.master_id;

GRANT SELECT ON master_tbl_reportquota_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_reportquota_view TO GROUP :admin_group;

COMMIT;
