# -*- coding: utf-8 -*-
# Copyright (C) 2011, 2012 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>

import unittest
import StringIO

from formed.meta.io.document import openDocument
from formed.instance.backends.xmlimport import XMLImporter

import filesupport
from support import FormedTreeMixin



class ImportTest(FormedTreeMixin, unittest.TestCase):

    case_xml = None

    def setUp(self):
        FormedTreeMixin.setUp(self)
        self.importer = XMLImporter(self.meta_tree)
        self.xml_infile = StringIO.StringIO(self.case_xml)

    def load_case(self):
        cases = list(self.importer.read_cases_from_xml(self.xml_infile))
        self.assertEquals(len(cases), 1)
        return cases[0]


class TestNumericImport(ImportTest):

    formedtree = """\
<?xml version="1.0" encoding="UTF-8"?>
<document>
  <case>
    <page containers="a" description="A Page" name="page-1">
      <float description="Float 1" name="float1" target="a"/>
    </page>
  </case>
  <logbook>
  </logbook>
</document>
"""

    case_xml = """\
<?xml version="1.0"?>
<cases formed-type="" version="5">
  <case>
    <master>
      <float1>10.0</float1>
    </master>
  </case>
</cases>
"""

    def test(self):
        case = self.load_case()
        master = case["master"]
        self.assertEquals(master.get("float1"), 10.0)
